package com.alonginfo.quartz.service.impl;

import com.alonginfo.common.exception.job.TaskException;
import com.alonginfo.quartz.domain.SysJob;
import com.alonginfo.quartz.mapper.InitMapper;
import com.alonginfo.quartz.service.InitService;
import com.alonginfo.quartz.utils.ScheduleUtils;
import org.quartz.Scheduler;
import org.quartz.SchedulerException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description
 * @Author Haoxs
 * @Date 2021-05-06 18:12
 */
@Service
public class InitServiceImpl implements InitService {

    @Autowired
    private Scheduler scheduler;

    @Autowired
    private InitMapper initMapper;

    /**
     * 初始化定时任务
     */
    @Override
    public void initSchedule() throws SchedulerException, TaskException {
        scheduler.clear();
        List<SysJob> jobList = initMapper.getList();
        for (SysJob job : jobList) {
            ScheduleUtils.createScheduleJob(scheduler, job);
        }
    }
}
