package com.alonginfo.framework.interceptor;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.date.DateUnit;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.extra.servlet.ServletUtil;
import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.alibaba.fastjson2.JSONWriter;
import com.alonginfo.common.constant.Constants;
import com.alonginfo.framework.redis.RedisCache;
import com.alonginfo.utils.SignUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import javax.servlet.*;
import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import java.util.TreeMap;
import java.util.concurrent.TimeUnit;

/**
 * @Description:防篡改、防重放攻击过滤器
 */
@Slf4j
@Component
public class SignAuthFilter  {
    @Autowired
    private SecurityProperties securityProperties;

    @Autowired
    public RedisTemplate redisTemplate;
    @Autowired
    public RedisCache redisCache;

//    @Override
//    public void init(FilterConfig filterConfig) {
//        log.info("初始化 SignAuthFilter");
//    }
//
//    @Override
//    public void doFilter(ServletRequest request, ServletResponse response, FilterChain filterChain) throws ServletException, IOException {
//        HttpServletRequest httpRequest = (HttpServletRequest) request;
//        HttpServletRequest requestWrapper = httpRequest;
//
//        Set<String> uriSet = new HashSet<>(securityProperties.getSignUri());
//        String requestUri = httpRequest.getRequestURI();
//        boolean isMatch = false;
//        for (String uri : uriSet) {
//            isMatch = requestUri.equals(uri);
//            if (isMatch) {
//                break;
//            }
//        }
//        if (!isMatch) {
//            filterChain.doFilter(requestWrapper, response);
//            return;
//        }
//
//        log.info("当前请求的URI是==>{},isMatch==>{}", httpRequest.getRequestURI(), isMatch);
//
//        String sign = requestWrapper.getHeader("Sign");
//        Long timestamp = Convert.toLong(requestWrapper.getHeader("Timestamp"));
//
//        if (StrUtil.isEmpty(sign)) {
//            returnFail("签名不允许为空", response);
//            return;
//        }
//
//        if (timestamp == null) {
//            returnFail("时间戳不允许为空", response);
//            return;
//        }
//
//
//
//        //重放时间限制（单位分）
//        Long difference = DateUtil.between(DateUtil.date(), DateUtil.date(timestamp ), DateUnit.MINUTE);
//        if (difference > securityProperties.getSignTimeout()) {
//            returnFail("已过期的签名", response);
//            log.info("前端时间戳：{},服务端时间戳：{}", DateUtil.date(timestamp ), DateUtil.date());
//            return;
//        }
//
//        //重发次数限制
//        String signKey = CacheConstants.SIGN_KEY + sign;
//        Boolean hasKey = redisTemplate.hasKey(signKey);
//        if(hasKey){
//            returnFail("不允许重发请求", response);
//            return;
//        }
//        redisCache.setCacheObject(signKey, sign, Constants.CAPTCHA_EXPIRATION, TimeUnit.MINUTES);
//        boolean accept = true;
//        Map<String, String> paramMap;
//        switch (requestWrapper.getMethod()) {
//            case "GET":
//                paramMap = ServletUtil.getParamMap(requestWrapper);
//                // 使用TreeMap对Map的键进行排序
//                Map<String, String> sortedMap = new TreeMap<>(paramMap);
//                accept = SignUtil.verifySign(sortedMap, sign, timestamp);
//                break;
//            case "POST":
//            case "PUT":
//            case "DELETE":
//                String body = JSON.toJSONString(JSONObject.parseObject(ServletUtil.getBody(requestWrapper)),  JSONWriter.Feature.WriteMapNullValue, JSONWriter.Feature.WriteNullListAsEmpty);
//                accept = SignUtil.verifySign(body, sign, timestamp);
//                break;
//            default:
//                accept = true;
//                break;
//        }
//        if (accept) {
//            filterChain.doFilter(requestWrapper, response);
//        } else {
//            returnFail("签名验证不通过", response);
//        }
//    }

//    private void returnFail(String msg, ServletResponse response) throws IOException {
//        response.setCharacterEncoding("UTF-8");
//        response.setContentType("application/json; charset=utf-8");
//        PrintWriter out = response.getWriter();
//        String result = JSONObject.toJSONString(AjaxResult.error(msg));
//        out.println(result);
//        out.flush();
//        out.close();
//    }
//
//    @Override
//    public void destroy() {
//        log.info("销毁 SignAuthFilter");
//    }
}