package com.alonginfo.project.business.controller;

import com.alonginfo.framework.web.controller.BaseController;
import com.alonginfo.framework.web.domain.AjaxResult;
import com.alonginfo.project.business.domain.MxComponents;
import com.alonginfo.project.business.domain.MxComponentsType;
import com.alonginfo.project.business.domain.MxDatabase;
import com.alonginfo.project.business.service.IMxComponentsService;
import com.alonginfo.utils.DBUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author Li先生
 * 组件管理
 */
@Api("控件管理")
@RestController
@RequestMapping("/businiss/mxcomponents")
public class MxComponentsController extends BaseController {


    @Autowired
    IMxComponentsService mxComponentsService;

    // 添加组件类型
    @ApiOperation("添加组件类型")
    @PostMapping("/addMxComponentsType")
    public AjaxResult insertMxComponentsType(@RequestBody MxComponentsType mxComponentsType) {
        return AjaxResult.success(mxComponentsService.insertMxComponentsType(mxComponentsType));
    }
    // 删除组件类型
    @ApiOperation("删除组件类型")
    @DeleteMapping("/deleteMxComponentsType/{comTypeId}")
    public AjaxResult deleteMxComponentsType(@PathVariable("comTypeId") String comTypeId) {
        return AjaxResult.success(mxComponentsService.deleteMxComponentsType(comTypeId));
    }
    // 修改组件类型
    @ApiOperation("修改组件类型")
    @PutMapping("/editMxComponentsType")
    public AjaxResult editMxComponentsType(@RequestBody MxComponentsType mxComponentsType) {
        return AjaxResult.success(mxComponentsService.editMxComponentsType(mxComponentsType));
    }
    // 查询组件类型 list
    @ApiOperation("查询组件类型-list")
    @GetMapping("/listMxComponentsType")
    public AjaxResult listMxComponentsType(@RequestBody(required = false) MxComponentsType mxComponentsType) {
        return AjaxResult.success(mxComponentsService.listMxComponentsType());
    }

    /**
     * 获取所有的组件信息
     * @param mxComponents
     * @return
     */
    @ApiOperation("查询所有的组件信息")
    @GetMapping("/getAllCompinfo")
    public AjaxResult getAllCompinfo(@RequestBody(required = false) MxComponents mxComponents) {
        return AjaxResult.success(mxComponentsService.getAllCompinfo());
    }

    // 新增组件
    @ApiOperation("添加组件")
    @PostMapping("/addMxComponents")
    public AjaxResult insertMxComponents(@RequestBody MxComponents mxComponents) {
        return AjaxResult.success(mxComponentsService.insertMxComponents(mxComponents));
    }
    // 删除组件
    @ApiOperation("删除组件")
    @DeleteMapping("/deleteMxComponents/{comId}")
    public AjaxResult deleteMxComponents(@PathVariable("comId") String comId) {
        return AjaxResult.success(mxComponentsService.deleteMxComponents(comId));
    }
    // 删除组件 根据组件类型id
    @ApiOperation("根据组件类型id 删除组件")
    @DeleteMapping("/deleteMxComponentsByComTypeId/{comTypeId}")
    public AjaxResult deleteMxComponentsByComTypeId(@PathVariable("comTypeId") String comTypeId) {
        return AjaxResult.success(mxComponentsService.deleteMxComponentsByComTypeId(comTypeId));
    }
    // 修改组件
    @ApiOperation("修改组件")
    @PutMapping("/editMxComponents")
    public AjaxResult editMxComponents(@RequestBody MxComponents mxComponents) {
        return AjaxResult.success(mxComponentsService.editMxComponents(mxComponents));
    }
}
