package com.alonginfo.project.business.controller;

import com.alonginfo.framework.web.domain.AjaxResult;
import com.alonginfo.project.business.service.IMxIntroduceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 解说词管理 控制层
 * @Author Yalon
 * @Date 2020-11-18 16:59
 * @Version mxdata_v
 */
@RestController
@RequestMapping("/businiss/mxintroduce")
public class MxIntroduceController {

    @Autowired
    private IMxIntroduceService introduceService;

    /**
     * 获取所有的工程及工程下的主题
     * @return
     */
    @PostMapping("/getProjectPage")
    public AjaxResult getProjectPage() {
        return AjaxResult.success(introduceService.getProjectPage());
    }

    /**
     * 根据主题ID 获取解说词
     * @param pageId 主题ID
     * @return
     */
    @PostMapping("/getIntroduceByPage")
    public AjaxResult getIntroduceByPage(String pageId) {
        return AjaxResult.success(introduceService.getIntroduceByPage(pageId));
    }

    /**
     * 保存解说词
     * @param pageId 主题ID
     * @param introduce 解说词
     * @return
     */
    @PostMapping("/saveIntroduce")
    public AjaxResult saveIntroduce(String pageId, String introduce) {
        try {
            introduceService.saveIntroduce(pageId, introduce);
            return AjaxResult.success();
        } catch (Exception e) {
            return AjaxResult.error();
        }
    }
}
