package com.alonginfo.project.business.controller;

import com.alonginfo.framework.web.domain.AjaxResult;
import com.alonginfo.project.business.domain.MxDataInfo;
import com.alonginfo.project.business.domain.MxDataSet;
import com.alonginfo.project.business.domain.MxPageGroup;
import com.alonginfo.project.business.service.IMxShowDataSetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @author Li先生
 * 预览页面 数据集数据加载 免登陆
 */
@Controller
@RequestMapping("/mxDatav_dataSet")
public class MxShowDataSetController {


    @Autowired
    IMxShowDataSetService mxShowDataSetService;

    @PostMapping("/data")
    @ResponseBody
            public AjaxResult getData(@RequestBody MxDataInfo mxDataInfo){
        return mxShowDataSetService.getData(mxDataInfo);

    }

//    @PostMapping("/getDataByAjaxId")
//    @ResponseBody
//    public AjaxResult getDataByAjaxId(@RequestBody MxDataSet mxDataSet){
//        return mxShowDataSetService.getDataByAjaxId(mxDataSet);
//
//    }

    // 查询数据集所有分组列表
    @GetMapping("/mxDataqueryGroup")
    @ResponseBody
    public AjaxResult mxDataqueryGroup(){
        return AjaxResult.success(mxShowDataSetService.mxDataqueryGroup());
    }
    // 根据数据集分组id 查找数据集及数据集对应的字段列名
//    @GetMapping("/mxDataqueryDataSetBydGroupId/{dGroupId}")
//    @ResponseBody
//    public AjaxResult mxDataqueryDataSetBydGroupId(@PathVariable("dGroupId") String dGroupId){
//        return AjaxResult.success(mxShowDataSetService.mxDataqueryDataSetBydGroupId(dGroupId));
//    }


        // 根据page_path 查找主题id+配置信息
    @PostMapping("/listPagesByGroupPagePath")
    @ResponseBody
    public AjaxResult listPagesByGroupPagePath(@RequestBody MxPageGroup mxPageGroup){
        return AjaxResult.success(mxShowDataSetService.listPagesByGroupPagePath(mxPageGroup.getPagePath()));
    }

}
