package com.alonginfo.project.business.controller;

import com.alonginfo.framework.web.domain.AjaxResult;
import com.alonginfo.project.business.service.YwMonthTransactionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description  月度直接交易
 * @Author Haoxs
 * @Date 2021-10-21 16:53
 */
@RestController
@RequestMapping("/monthTransaction")
public class YwMonthTransactionController {

    @Autowired
    private YwMonthTransactionService ywMonthTransactionService;

    /**
     * 获取月度交易列表
     * @return
     */
    @GetMapping("/getTransactionList")
    public AjaxResult getTransactionList() {
        try {
            return AjaxResult.success(ywMonthTransactionService.getTransactionList());
        } catch (Exception e) {
            e.printStackTrace();
            return AjaxResult.error("获取月度交易列表失败!");
        }
    }

    /**
     * 获取交易明细数据
     * @return
     */
    @GetMapping("/getTransactionDetailed")
    public AjaxResult getTransactionDetailed(String month) {
        try {
            return AjaxResult.success(ywMonthTransactionService.getTransactionDetailed(month));
        } catch (Exception e) {
            e.printStackTrace();
            return AjaxResult.error("获取月度交易明细失败!");
        }
    }
}
