package com.alonginfo.project.business.mapper;

import com.alonginfo.project.business.domain.MxComponents;
import com.alonginfo.project.business.domain.MxComponentsType;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author LM
 * @create 2020-03-06 15:05
 */
@Mapper
public interface MxComponentsMapper {
    // 添加组件类型
    int insertMxComponentsType(MxComponentsType mxComponentsType);
    // deleteMxComponentsType
    int deleteMxComponentsType(String comTypeId);
    // 修改组件类型
    int editMxComponentsType(MxComponentsType mxComponentsType);
    // 查询组件类型 根据id
    MxComponentsType getMxComponentsType(String comTypeId);
    // 查询组件类型 list
    List<MxComponentsType> listMxComponentsType();
    // 新增组件
    int insertMxComponents(MxComponents mxComponents);
    // 删除组件
    int deleteMxComponents(String comId);
    // 修改组件
    int editMxComponents(MxComponents mxComponents);
    // 根据图标组件ID 查询组件
    MxComponents getMxComponents(String comId);
    // 根据组件类型id 查询组件list
    List<MxComponents> getMxComponentsBycomId(String comTypeId);
    // 删除组件 根据组件类型id
    int deleteMxComponentsByComTypeId(String comTypeId);

    /**
     * 获取所有组件信息
     * @return
     */
    List<MxComponents> getAllCompinfo();
}
