package com.alonginfo.project.business.mapper;

import com.alonginfo.project.business.domain.MxDatabase;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author Li先生
 * 数据源 Mapper
 */
@Mapper
public interface MxDatabaseMapper {
    /**
     * 获取数据源列表
     * @param mxDatabase
     * @return
     */
    public List<MxDatabase> selectMxDatabaseList(MxDatabase mxDatabase);

    /**
     * 插入数据
     * @param mxDatabase
     * @return
     */
    public int insertMxDatabase(MxDatabase mxDatabase);

    /**
     * 删除数据
     * @param id
     * @return
     */
    int deleteMxDatabase(String id);

    /**
     * 修改数据
     * @param mxDatabase
     * @return
     */
    int editMxDatabase(MxDatabase mxDatabase);

    /**
     * 根据id获取对象
     * @param id
     * @return
     */
    MxDatabase getMxDatabase(String id);
}
