package com.alonginfo.project.business.mapper;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 解说词管理 mapper
 * @Author Yalon
 * @Date 2020-11-18 17:37
 * @Version mxdata_v
 */
public interface MxIntroduceMapper {

    /**
     * 查找所有的工程
     * @return
     */
    List<Map<String, Object>> selectProject();

    /**
     * 根据工程ID 查找主题
     * @param proId
     * @return
     */
    List<Map<String, Object>> selectPageByProject(@Param("proId") String proId);

    /**
     * 根据主题ID 查找解说词
     * @param pageId 主题ID
     * @return
     */
    Map<String, Object> selectIntroduceByPage(@Param("pageId") String pageId);

    /**
     * 更新解说词
     * @param pageId
     * @param introduce
     * @return
     */
    Integer updateIntroduce(@Param("pageId") String pageId, @Param("introduce") String introduce);
}
