package com.alonginfo.project.business.mapper;

import com.alonginfo.quartz.domain.SysJob;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @Description  定时任务  数据层接口
 * @Author Haoxs
 * @Date 2021-04-27 09:29
 */
@Mapper
public interface MxQuartzMapper {

    /**
     * 获取全部定时任务列表
     * @return
     */
    List<Map<String, Object>> getQuartzList(SysJob job);

    /**
     * 通过id查询定时任务
     * @param jobId
     * @return
     */
    SysJob selectJobById(Long jobId);

    /**
     * 更新定时任务
     * @param job
     * @return
     */
    int updateJob(SysJob job);

    /**
     * 新增定时任务
     * @param job
     * @return
     */
    int insertJob(SysJob job);
}
