package com.alonginfo.project.business.mapper;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 月度直接交易Mapper
 * @Author Haoxs
 * @Date 2021-10-21 18:34
 */
public interface YwMonthTransactionMapper {

    /**
     * 获取月度直接交易列表
     * @return
     */
    List<Map<String, String>> getTransactionList();

    /**
     * 获取交易公告
     * @param transactionName
     * @return
     */
    Map<String, Object> getTransactionNotice(String transactionName);

    /**
     * 根据月份获取购方竞价数据
     * @param month
     * @param monthFlag
     * @param transactionType
     * @return
     */
    Map<String, Object> getBuyerData(@Param("month") String month,
                                     @Param("monthFlag") String monthFlag,
                                     @Param("transactionType") Integer transactionType);

    /**
     * 根据月份获取购方竞价明细
     * @param month
     * @param monthFlag
     * @param transactionType
     * @return
     */
    List<Map<String, Object>> getBuyerDet(@Param("month") String month,
                                          @Param("monthFlag") String monthFlag,
                                          @Param("transactionType") Integer transactionType);

    /**
     * 根据月份获取售方竞价数据
     * @param month
     * @param monthFlag
     * @param transactionType
     * @return
     */
    Map<String, Object> getSellerData(@Param("month") String month,
                                      @Param("monthFlag") String monthFlag,
                                      @Param("transactionType") Integer transactionType);

    /**
     * 根据月份获取售方竞价明细
     * @param month
     * @param monthFlag
     * @param transactionType
     * @return
     */
    List<Map<String, Object>> getSellerDet(@Param("month") String month,
                                           @Param("monthFlag") String monthFlag,
                                           @Param("transactionType") Integer transactionType);
}
