package com.alonginfo.project.business.service;

import com.alonginfo.project.business.domain.DataSetMenu;
import com.alonginfo.project.business.domain.MxDataGroup;
import com.alonginfo.project.business.domain.MxDataSet;
import com.alonginfo.project.business.domain.MxDataSetKey;

import java.util.List;
import java.util.Map;

/**
 * @author LM
 * @create 2020-03-05 9:17
 * 数据集管理
 */
public interface IMxDataSetService {
    /**
     * 获取数据集分组+数据集列表
     * @return
     */
    List<DataSetMenu> selectMxDataGroupList();

    /**
     * 添加业务分类
     * @param mxDataGroup
     */
    int addMxDataGroup(MxDataGroup mxDataGroup);

    /**
     * 根据数据集分类id获取数据集
     * @param dGroupId
     * @return
     */
    List<DataSetMenu> getDataSetListByDGroupId(String dGroupId);


    /**
     * 根据数据集 （数据源id+sql） 展示查询结果
     * @param mxDataSet
     * @return
     */
    List<Map<String,Object>> executeSql(MxDataSet mxDataSet);

    /**
     * 添加数据集
     * @param mxDataSet
     * @return
     */
    int addMxDataSet(MxDataSet mxDataSet);

    /**
     * 删除数据集
     * @param dsId
     * @return
     */
    int deleteMxDataSet(String dsId);

    /**
     * 删除数据集分组
     * @param dGroupId
     * @return
     */
    int deleteMxDataGroup(String dGroupId);

    /**
     * 修改数据集分组
     * @param mxDataGroup
     * @return
     */
    int editMxDataGroup(MxDataGroup mxDataGroup);

    /**
     *  根据数据集id 获取数据集实例
     * @param dsId
     * @return
     */
    MxDataSet getMxDataSet(String dsId);

    /**
     * 获取所有mx_data_set_key
     * @return
     */
     List<MxDataSetKey> listMxDataSetKey();
}
