package com.alonginfo.project.business.service;

import com.alonginfo.project.business.domain.MxGroupSetting;
import java.util.List;

/**
 * 配置Service接口
 * 
 * @author LM
 * @date 2020-03-10
 */
public interface IMxGroupSettingService 
{
    /**
     * 查询配置
     * 
     * @param settingId 配置ID
     * @return 配置
     */
    public MxGroupSetting selectMxGroupSettingById(String settingId);

    /**
     * 查询配置列表
     * 
     * @param mxGroupSetting 配置主题
     * @return 配置集合
     */
    public List<MxGroupSetting> selectMxGroupSettingList(MxGroupSetting mxGroupSetting);

    /**
     * 新增配置
     * 
     * @param mxGroupSetting 配置
     * @return 结果
     */
    public int insertMxGroupSetting(MxGroupSetting mxGroupSetting);

    /**
     * 修改配置
     * 
     * @param mxGroupSetting 配置
     * @return 结果
     */
    public int updateMxGroupSetting(MxGroupSetting mxGroupSetting);


    /**
     * 删除配置信息
     * 
     * @param settingId 配置ID
     * @return 结果
     */
    public int deleteMxGroupSettingById(String settingId);
}
