package com.alonginfo.project.business.service;

import java.util.List;
import java.util.Map;

/**
 * @Description 解说词管理 业务层接口
 * @Author Yalon
 * @Date 2020-11-18 17:16
 * @Version mxdata_v
 */
public interface IMxIntroduceService {

    /**
     * 获取所有的工程及工程下的主题
     * @return
     */
    List<Map<String, Object>> getProjectPage();

    /**
     * 根据主题ID 获取解说词
     * @param pageId 主题ID
     * @return
     */
    Map<String, Object> getIntroduceByPage(String pageId);

    /**
     * 保存解说词
     * @param pageId 主题ID
     * @param introduce 解说词
     */
    void saveIntroduce(String pageId, String introduce);
}
