package com.alonginfo.project.business.service.impl;

import com.alonginfo.common.utils.IdUtils;
import com.alonginfo.project.business.domain.MxComponents;
import com.alonginfo.project.business.domain.MxComponentsType;
import com.alonginfo.project.business.mapper.MxComponentsMapper;
import com.alonginfo.project.business.service.IMxComponentsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Li先生
 */
@Service
public class MxComponentsServiceImpl implements IMxComponentsService {

    @Autowired
    MxComponentsMapper mapper;
    // 添加组件类型
    @Override
    public int  insertMxComponentsType(MxComponentsType mxComponentsType) {
        mxComponentsType.setComTypeId(IdUtils.fastUUID());
        return mapper.insertMxComponentsType(mxComponentsType);
    }

    // 删除组件类型
    @Override
    public int deleteMxComponentsType(String comTypeId) {
        // 删除组件类型下的所有组件
        deleteMxComponentsByComTypeId(comTypeId);
        return mapper.deleteMxComponentsType(comTypeId);
    }
    // 修改组件类型
    @Override
    public int editMxComponentsType(MxComponentsType mxComponentsType) {
        return mapper.editMxComponentsType(mxComponentsType);
    }
    // 查询组件类型 根据id
    @Override
    public MxComponentsType getMxComponentsType(String comTypeId) {
        return mapper.getMxComponentsType(comTypeId);
    }
    // 查询组件类型 list
    @Override
    public List<MxComponentsType> listMxComponentsType() {
        List<MxComponentsType> mxComponentsTypes =  mapper.listMxComponentsType();
        mxComponentsTypes.stream().forEach(mxComponentsType -> {
            mxComponentsType.setChildren(getMxComponentsBycomId(mxComponentsType.getComTypeId()));
        });


        return mxComponentsTypes;
    }

    /**
     * 获取所有的组件信息
     * @return
     */
    @Override
    public List<MxComponents>  getAllCompinfo() {
        List<MxComponents> list = mapper.getAllCompinfo();
        return list;
    }

    // 新增组件
    @Override
    public int insertMxComponents(MxComponents mxComponents) {
        mxComponents.setComId(IdUtils.fastUUID());
        return mapper.insertMxComponents(mxComponents);
    }
    // 删除组件
    @Override
    public int deleteMxComponents(String comId) {
        return mapper.deleteMxComponents(comId);
    }
    // 修改组件
    @Override
    public int editMxComponents(MxComponents mxComponents) {
        return mapper.editMxComponents(mxComponents);
    }
    // 根据图标组件ID 查询组件
    @Override
    public MxComponents getMxComponents(String comId) {
        return mapper.getMxComponents(comId);
    }

    // 根据组件类型id 查询组件list
    @Override
    public List<MxComponents> getMxComponentsBycomId(String comTypeId) {
        return mapper.getMxComponentsBycomId(comTypeId);
    }
    // 删除组件 根据组件类型id
    @Override
    public int deleteMxComponentsByComTypeId(String comTypeId) {
        return mapper.deleteMxComponentsByComTypeId(comTypeId);
    }
}
