package com.alonginfo.project.engine.controller;

import com.alonginfo.framework.redis.RedisCache;
import com.alonginfo.framework.web.controller.BaseController;
import com.alonginfo.framework.web.domain.AjaxResult;
import com.alonginfo.project.engine.domain.MxPages;
import com.alonginfo.project.engine.service.IMxPagesService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * 获取所有页面信息
 * 不需要权限过滤
 * @author shidj
 */

@Api(value="主题页面信息获取")
@RestController
@RequestMapping("/mxDatav_Pages")
@CrossOrigin
public class ReleaseDataController extends BaseController {

    @Autowired
    private IMxPagesService mxPageService;

    /**
     * 获取主题页面
     * @param mxPages
     * @return
     */
    @ApiOperation("获取所有主题页面")
    @GetMapping("/getPages")
    public AjaxResult getPages (MxPages mxPages) {
        List<MxPages> listPages = mxPageService.getPages(mxPages);
        return AjaxResult.success(listPages);
    }

    /**
     * 获取页面想关联信息
     * @param mxPages
     * @return
     */
    @ApiOperation("获取所有主题页面")
    @PostMapping("/getReleaseData")
    public AjaxResult getReleaseData(MxPages mxPages) {
        Map<String, Object> map = mxPageService.getReleaseData(mxPages);
        if ("0".equals(map.get("notPublish"))) {
            return AjaxResult.error("页面未发布，无法访问！");
        }
        return AjaxResult.success(map);
    }

}
