package com.alonginfo.project.engine.mapper;

import com.alonginfo.project.engine.domain.MxPages;

import java.util.List;

/**
 * 工程页面管理 数据层
 */
public interface MxPagesMapper {
    /**
     * 获取工程页面信息
     * @param mxPages
     * @return
     */
    List<MxPages> getPages(MxPages mxPages);

    /**
     * 检测页面名称是否唯一
     * @param mxPages
     * @return
     */
    MxPages selectPageForName(MxPages mxPages);

    /**
     * 新增主题页面信息
     * @param mxPages
     * @return
     */
    int insertPages(MxPages mxPages);

    /**
     * 根据id获取页面信息
     * @param mxPages
     * @return
     */
    MxPages getPageInfo(MxPages mxPages);

    /**
     * 更新页面信息
     * @param mxPages
     * @return
     */
    int updatePages(MxPages mxPages);

    /**
     * 主题发布
     * @param mxPages
     * @return
     */
    int releasePage(MxPages mxPages);

    /**
     * 删除页面
     * @param pageId
     * @return
     */
    int mxDeletePage(String pageId);

    /**
     * 删除页面信息根据工程id
     * @param proIds
     * @return
     */
    int deletePagesForProId(String[] proIds);
}
