package com.alonginfo.project.engine.mapper;

import com.alonginfo.project.engine.domain.ThemeManager;

import java.util.List;

/**
 * 主题管理 数据层
 * @author shidj
 */
public interface ThemeManagerMapper {

    /**
     * 查询主题列表
     * @param themeManager
     * @return
     */
    List<ThemeManager> selectThemeManagerList(ThemeManager themeManager);

    /**
     * 检测主题名称是否唯一
     * @return
     * @param themeManager
     */
    ThemeManager selectThemeManagerForName(ThemeManager themeManager);

    /**
     * 新增图表主题管理
     * @param themeManager
     * @return
     */
    int insertThemeManager(ThemeManager themeManager);

    /**
     * 根据id获取信息
     * @param th
     * @return
     */
    ThemeManager getInfoChartThemeId(ThemeManager th);

    /**
     * 修改图表主题
     * @param themeManager
     * @return
     */
    int updateThemeManager(ThemeManager themeManager);

    /**
     * 删除图表主题
     * @param themeIds
     * @return
     */
    int delChartTheme(String[] themeIds);
}
