package com.alonginfo.project.engine.service;

import com.alonginfo.project.engine.domain.MxPages;

import java.util.List;
import java.util.Map;

/**
 * 页面主题管理 服务接口层
 */
public interface IMxPagesService {
    /**
     * 获取主题页面
     * @return
     * @param mxPages
     */
    List<MxPages> getPages(MxPages mxPages);

    /**
     * 判断页面名称是否存在
     * @param mxPages
     * @return
     */
    String checkPageNameUnique(MxPages mxPages);

    /**
     * 插入主题页面信息
     * @param mxPages
     * @return
     */
    int insertPages(MxPages mxPages);

    /**
     * 获取页面相关联信息
     * @param mxPages
     * @return
     */
    Map<String, Object> getReleaseData(MxPages mxPages);

    /**
     * 更新工程
     * @param mxPages
     * @return
     */
    int updatePages(MxPages mxPages);

    /**
     * 主题发布
     * @param mxPages
     * @return
     */
    int releasePage(MxPages mxPages);

    /**
     * 删除主题
     * @param pageId
     * @return
     */
    int mxDeletePage(String pageId);

    List<MxPages> getPagesForId(MxPages mxPages);
}
