package com.alonginfo.project.engine.service;

import com.alonginfo.project.engine.domain.MxProject;

import java.util.List;

/**
 * 工程管理 接口层
 * @author shidj
 */
public interface IMxProjectService {

    /**
     * 工程列表
     * @param mxProject
     * @return
     */
    List<MxProject> selectProject(MxProject mxProject);

    /**
     * 检测工程名是否唯一
     * @param mxProject
     * @return
     */
    String checkProjectNameUnique(MxProject mxProject);

    /**
     * 插入工程
     * @param mxProject
     * @return
     */
    int insertMxProject(MxProject mxProject);

    /**
     * 获取项目信息
     * @param proId
     * @return
     */
    MxProject getInfo(String proId);

    /**
     * 修改工程信息
     * @param mxProject
     * @return
     */
    int updateMxProject(MxProject mxProject);

    /**
     * 删除工程信息
     * @param proIds
     * @return
     */
    int delMxPorject(String[] proIds);

    /**
     * 改变工程状态
     * @param mxProject
     * @return
     */
    int changeProState(MxProject mxProject);
}
