package com.alonginfo.project.engine.service;

import com.alonginfo.project.engine.domain.ThemeManager;

import java.util.List;

/**
 * 主题管理实现接口
 * @author shidj
 */
public interface IThemeManagerService {
    /**
     * 查询主题列表
     * @param themeManager
     * @return
     */
    List<ThemeManager> selectThemeManagerList(ThemeManager themeManager);

    /**
     * 检测主题名称是否唯一
     * @param themeManager
     * @return
     */
    String checkThemeNameUnique(ThemeManager themeManager);

    /**
     * 新增图表主题
     * @param themeManager
     * @return
     */
    int insertThemeManager(ThemeManager themeManager);

    /**
     * id获取信息
     * @param themeId
     * @return
     */
    ThemeManager getInfoChartThemeId(String themeId);

    /**
     * 修改图表主题
     * @param themeManager
     * @return
     */
    int updateThemeManager(ThemeManager themeManager);

    /**
     * 删除图表主题
     * @param themeIds
     * @return
     */
    int delChartTheme(String[] themeIds);
}
