package com.alonginfo.project.gansu.controller;

import com.alonginfo.common.utils.StringUtils;
import com.alonginfo.framework.web.domain.AjaxResult;
import com.alonginfo.project.gansu.sync.BilateralConsultDataSync;
import com.google.common.base.Strings;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.*;

/**
 *  此Controller提供
 * 1.获取双边、集中、挂牌交易序列id数据
 * 2.双边、集中、挂牌、D+3实时页面交易公告预览功能
 * 3.交易平台token获取
 */
@Controller
@RequestMapping("/trade")
public class DynamicDataPushController{

    @Autowired
    private BilateralConsultDataSync bilateralConsultDataSync;

    /**
     * 	预览pdf -- 自备电厂
     */
    private static final String[] ELEC_FATCORY= {"PXBGS20220331A0009", "PXBGS20220331A0008"};

    /**
     * 	预览pdf -- 大用户
     */
    private static final String[] BIG_USER = {"PXBGS20220331A0007", "PXBGS20220331A0006", "PXBGS20220331A0005", "PXBGS20220331A0004", "PXBGS20220331A0003"};

    /**
     * 预览pdf -- 双边协商公告
     */
    private static final String[] CONSULT_NOTICE = {"PXBGS20220318A0010", "PXBGS20220318A0014", "PXBGS20220318A0009"};

    /**
     * 5月双边协商公告
     */
    private static final String[] NOTICE_FIVE = {"PXBGS20220412A0003", "PXBGS20220412A0002", "PXBGS20220412A0001"};

    /**
     * 甘肃省2022年省内电力用户与发电企业直接交易6月双边协商交易公告
     */
    private static final String[] NOTICE_SIX_SBXS = {"PXBGS20220513A0001", "PXBGS20220513A0002", "PXBGS20220513A0003"};

    /**
     * 甘肃省电力用户2022年6月月度合同转让交易公告
     */
    private static final String[] NOTICE_SIX_HTZR = {"PXBGS20220513A0006"};

    /**
     * 甘肃省非现货电力用户2022年5月月内合同转让交易公告
     */
    private static final String[] NOTICE_FIVE_HTZR = {"PXBGS20220513A0007"};

    /**
     * 甘肃省2022年省内电力用户与发电企业直接交易7月双边协商交易公告
     */
    private static final String[] NOTICE_SEVEN_SBXS = {"PXBGS20220616A0001", "PXBGS20220616A0003"};

    /**
     * 甘肃省2022年省内直接交易7月第二周双边协商交易公告
     */
    private static final String[] NOTICE_SEVEN_SBXS_TWO_WEEK= {"PXBGS20220628A0003"};

    /**
     * 甘肃省发电企业2022年9月省间月度合同转让交易公告
     */
    private static final String[] NOTICE_NINE_COMPANY_SJJY = {"PXBGS20220812A0001"};

    /**
     * 甘肃省发电企业2022年9月省内月度合同转让交易公告
     */
    private static final String[] NOTICE_NINE_COMPANY_SNJY = {"PXBGS20220812A0002"};

    /**
     * 甘肃省电力用户2022年9月月度合同转让交易公告
     */
    private static final String[] NOTICE_NINE_USER_HTZR = {"PXBGS20220812A0003"};

    /**
     * D+3交易公告
     */
    private static final String[] NOTIC_D_ADD_3 = {"d3"};

    // 2022-09-05 新增交易公关
    /**
     * （2022-G-08-018）2022年9月甘肃送浙江月内省间绿色电力外送交易公告
     */
    private static final String[] SZJ = {"PXBGS20220831A0003"};

    /**
     * （2022-G-08-023）2022年9月甘肃送上海月度省间绿色电力外送交易公告
     */
    private static final String[] SSH = {"PXBGS20220831A0002"};

    /**
     * （2022-G-08-024号）2022年9月甘肃灵绍送浙江月度省间绿色电力外送交易2
     */
    private static final String[] SZJ2 = {"PXBGS20220831A0001"};

    /**
     * 2022年自备电厂8月第三周发电权置换交易
     */
    private static final String[] ZHJY3 = {"PXBGS20220810A0005", "PXBGS20220810A0006"};

    /**
     * 2022年自备电厂8月第四周发电权置换交易
     */
    private static final String[] ZHJY4 = {"PXBGS20220819A0004", "PXBGS20220819A0005"};

    /**
     * 2022年自备电厂9月第二周发电权置换交易
     */
    private static final String[] ZHJY2 = {"PXBGS20220901A0004", "PXBGS20220901A0006"};

    /**
     * 2022年自备电厂9月第一周发电权置换交易
     */
    private static final String[] ZHJY1 = {"PXBGS20220824A0004", "PXBGS20220825A0005"};

    /**
     * 甘肃省2022年省内直接交易8月第三周双边协商交易
     */
    private static final String[] EIGHT_MONTH_3 = {"PXBGS20220810A0002", "PXBGS20220810A0004", "PXBGS20220810A0003"};

    /**
     * 甘肃省2022年省内直接交易8月第四周双边协商交易
     */
    private static final String[] EIGHT_MONTH_4 = {"PXBGS20220819A0001", "PXBGS20220819A0002", "PXBGS20220819A0003"};

    /**
     * 甘肃省2022年省内直接交易9月第二周双边协商交易
     */
    private static final String[] NINE_MONTH_2 = {"PXBGS20220901A0002", "PXBGS20220901A0001", "PXBGS20220901A0003"};

    /**
     * 甘肃省2022年省内直接交易9月第一周双边协商交易
     */
    private static final String[] NINE_MONTH_1 = {"PXBGS20220825A0003", "PXBGS20220825A0006", "PXBGS20220825A0002"};

    /**
     * 甘肃省2022年省内直接交易9月双边协商交易
     */
    private static final String[] NINE_MONTH_SBXS = {"PXBGS20220816A0003", "PXBGS20220816A0001", "PXBGS20220816A0005"};

    /**
     * 甘肃省2022年省内自备电厂发电权置换交易9-12月双边协商交易
     */
    private static final String[] ZHJY_NINE_TWELVE = {"PXBGS20220809A0001"};

    /**
     * 甘肃省2022年省内直接交易10月双边协商交易(普通用户-新能源)
     * 甘肃省2022年省内直接交易10月双边协商交易(普通用户-火电)
     * 甘肃省2022年省内直接交易10月双边协商交易(普通用户-电铁-新能源、火电)
     */
    private static final String[] TEN_MONTH_SBXS = {"PXBGS20220916A0009", "PXBGS20220916A0010", "PXBGS20220916A0011"};

    /**
     * 甘肃省2022年省内直接交易10月第一周双边协商交易(普通用户-新能源)
     * 甘肃省2022年省内直接交易10月第一周双边协商交易(普通用户-火电)
     * 甘肃省2022年省内直接交易10月第一周双边协商交易(普通用户-电铁-新能源、火电)
     */
    private static final String[] TEN_MONTH_ONE_WEEK_SBXS = {"PXBGS20220921A0003", "PXBGS20220921A0004", "PXBGS20220921A0007"};

    /**
     * 甘肃省2022年省内直接交易10月第二周双边协商交易（普通用户-新能源）
     * 甘肃省2022年省内直接交易10月第二周双边协商交易（电铁-新能源、火电）
     * 甘肃省2022年省内直接交易10月第二周双边协商交易（普通用户-火电）
     * 甘肃省2022年10月第二周省内民生保障电力用户（民生保障-新能源）与发电企业双边协商交易
     * 甘肃省2022年10月第二周省内民生保障电力用户（民生保障-火电）与发电企业双边协商交易
     */
    private static final String[] TEN_MONTH_TWO_WEEK_SBXS = {"PXBGS20221008A0003", "PXBGS20221008A0004", "PXBGS20221008A0005","PXBGS20221008A0001","PXBGS20221008A0002"};

    /**
     * 2022年自备电厂10月第二周发电权置换交易（新能源）
     * 2022年自备电厂10月第二周发电权置换交易（火电）
     */
    private static final String[] TEN_MONTH_TWO_WEEK_FDQJX = {"PXBGS20221008A0006", "PXBGS20221008A0007"};

    /**
     * 甘肃省非现货电力用户2022年10月月内合同转让交易
     */
    private static final String[] TEN_MONTH_INNER_HTZR = {"PXBGS20221011A0001"};

    /**
     * 获取双边协商/集中竞价/挂牌交易的交易序列
     * @param tradeSeqType 0-双边协商  1-集中竞价 2-挂牌交易
     * @throws Exception
     */
    @GetMapping("/getTradeSeq")
    @ResponseBody
    public AjaxResult getTradeSeqList(String tradeSeqType){
        if (Strings.isNullOrEmpty(tradeSeqType)) {
            return AjaxResult.error("交易序列类型:tradeSeqType 不可为空!");
        }
        Map<String, Object> selectTradeSeqs = bilateralConsultDataSync.selectTradeSeqs(tradeSeqType);
        return AjaxResult.success(selectTradeSeqs);
    }

    /**
     * 	交易公告详情-预览pdf
     */
    @GetMapping("/viewPdf")
    @ResponseBody
    public AjaxResult viewPdf(String seqId) {
        System.out.println("seqId  = " + seqId);
        List<Map<String, String>> resList = new LinkedList<Map<String,String>>();
        if (Arrays.asList(ELEC_FATCORY).contains(seqId)) {
            resList.add(new HashMap<String, String>() {{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内自备电厂发电权置换4月第二周双边协商交易公告.pdf");
            }});
        } else if (Arrays.asList(BIG_USER).contains(seqId)) {
            resList.add(new HashMap<String, String>() {{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内直接交易4月第二周双边协商交易公告.pdf");
            }});
        } else if (Arrays.asList(CONSULT_NOTICE).contains(seqId)) {
            resList.add(new HashMap<String, String>() {{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内电力用户与发电企业直接交易4月双边协商交易公告.pdf");
            }});
        } else if (Arrays.asList(NOTICE_FIVE).contains(seqId)) {
            resList.add(new HashMap<String, String>() {{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内电力用户与发电企业直接交易5月双边协商交易公告.pdf");
            }});
        }else if (Arrays.asList(NOTICE_SIX_SBXS).contains(seqId)) {
            resList.add(new HashMap<String, String>() {{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内电力用户与发电企业直接交易6月双边协商交易公告.pdf");
            }});
            resList.add(new HashMap<String, String>() {{
                put("name", "省内交易");
                put("url", "views/（2022-1-04-012号）2022年5-12月甘肃送湖南月度省间外送交易公告.pdf");
            }});
        }else if (Arrays.asList(NOTICE_SIX_HTZR).contains(seqId)) {
            resList.add(new HashMap<String, String>() {{
                put("name", "省内交易");
                put("url", "views/甘肃省电力用户2022年6月月度合同转让交易公告.pdf");
            }});
            resList.add(new HashMap<String, String>() {{
                put("name", "省间交易");
                put("url", "views/（2022-1-04-012号）2022年5-12月甘肃送湖南月度省间外送交易公告.pdf");
            }});
        }else if (Arrays.asList(NOTICE_FIVE_HTZR).contains(seqId)) {
            resList.add(new HashMap<String, String>() {{
                put("name", "省内交易");
                put("url", "views/甘肃省非现货电力用户2022年5月月内合同转让交易公告.pdf");
            }});
            resList.add(new HashMap<String, String>() {{
                put("name", "省间交易");
                put("url", "views/（2022-1-04-012号）2022年5-12月甘肃送湖南月度省间外送交易公告.pdf");
            }});
        }else if(Arrays.asList(NOTICE_SEVEN_SBXS).contains(seqId)){
            resList.add(new HashMap<String, String>() {{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内电力用户与发电企业直接交易7月双边协商交易公告.pdf");
            }});
        }else if(Arrays.asList(NOTICE_SEVEN_SBXS_TWO_WEEK).contains(seqId)){
            resList.add(new HashMap<String, String>() {{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内直接交易7月第二周双边协商交易公告.pdf");
            }});
        }else if(Arrays.asList(NOTICE_NINE_COMPANY_SJJY).contains(seqId)){
            resList.add(new HashMap<String, String>() {{
                put("name", "省间交易");
                put("url", "views/甘肃省发电企业2022年9月省间月度合同转让交易公告.pdf");
            }});
        }else if(Arrays.asList(NOTICE_NINE_COMPANY_SNJY).contains(seqId)){
            resList.add(new HashMap<String, String>() {{
                put("name", "省内交易");
                put("url", "views/甘肃省发电企业2022年9月省内月度合同转让交易公告.pdf");
            }});
        }else if(Arrays.asList(NOTICE_NINE_USER_HTZR).contains(seqId)){
            resList.add(new HashMap<String, String>() {{
                put("name", "省内交易");
                put("url", "views/甘肃省电力用户2022年9月月度合同转让交易公告.pdf");
            }});
        }else if(Arrays.asList(NOTIC_D_ADD_3).contains(seqId)){
            //D+3页面所有交易序列都展示这一个pdf; seqId默认都传"d3"字符串
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/关于开展9至12月发电侧合同电量转让日滚动交易的公告.pdf");
            }});
        }else if(Arrays.asList(SZJ).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/（2022-G-08-018）2022年9月甘肃送浙江月内省间绿色电力外送交易公告.pdf");
            }});
        }else if(Arrays.asList(SSH).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/（2022-G-08-023）2022年9月甘肃送上海月度省间绿色电力外送交易公告.pdf");
            }});
        }else if(Arrays.asList(SZJ2).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/（2022-G-08-024）2022年9月甘肃送浙江省间绿色电力外送交易2.pdf");
            }});
        }else if(Arrays.asList(ZHJY3).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内自备电厂发电权置换8月第三周双边协商交易公告.pdf");
            }});
        }else if(Arrays.asList(ZHJY4).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内自备电厂发电权置换8月第四周双边协商交易公告.pdf");
            }});
        }else if(Arrays.asList(ZHJY2).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内自备电厂发电权置换9月第二周双边协商交易公告.pdf");
            }});
        }else if(Arrays.asList(ZHJY1).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内自备电厂发电权置换9月第一周双边协商交易公告.pdf");
            }});
        }else if(Arrays.asList(EIGHT_MONTH_3).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内直接交易8月第三周双边协商交易公告.pdf");
            }});
        }else if(Arrays.asList(EIGHT_MONTH_4).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内直接交易8月第四周双边协商交易公告.pdf");
            }});
        }else if(Arrays.asList(NINE_MONTH_2).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内直接交易9月第二周双边协商交易公告.pdf");
            }});
        }else if(Arrays.asList(NINE_MONTH_1).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内直接交易9月第一周双边协商交易公告.pdf");
            }});
        }else if(Arrays.asList(NINE_MONTH_SBXS).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内电力用户与发电企业直接交易9月双边协商交易公告.pdf");
            }});
        }else if(Arrays.asList(ZHJY_NINE_TWELVE).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内自备电厂发电权置换交易9-12月双边协商交易公告.pdf");
            }});
        }else if(Arrays.asList(TEN_MONTH_SBXS).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内电力用户与发电企业直接交易10月双边协商交易公告.pdf");
            }});
        }else if(Arrays.asList(TEN_MONTH_ONE_WEEK_SBXS).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内直接交易10月第一周双边协商交易公告.pdf");
            }});
        }else if(Arrays.asList(TEN_MONTH_TWO_WEEK_SBXS).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内直接交易10月第二周双边协商交易公告.pdf");
            }});
        }else if(Arrays.asList(TEN_MONTH_TWO_WEEK_FDQJX).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/甘肃省2022年省内自备电厂发电权置换10月第二周双边协商交易公告.pdf");
            }});
        }else if(Arrays.asList(TEN_MONTH_INNER_HTZR).contains(seqId)){
            resList.add(new HashMap<String, String>(){{
                put("name", "省内交易");
                put("url", "views/甘肃省非现货电力用户2022年10月月内合同转让交易公告.pdf");
            }});
        }else {

        }
        return AjaxResult.success(resList);
    }

    @GetMapping("/getToken")
    @ResponseBody
    public AjaxResult getToken() {
        Map<String, Object> result = new HashMap<>();
        result.put("token", bilateralConsultDataSync.getToken());
        return AjaxResult.success(result);
    }

    /**
     * 交易公告预览
     * @return
     */
    @GetMapping("/viewNotice")
    @ResponseBody
    public AjaxResult viewNotice(String tradeSeqId) {
        try {
            Map<String, Object> viewNotice = bilateralConsultDataSync.getViewNotice(tradeSeqId);
            if (StringUtils.isEmpty(viewNotice)) {
                return AjaxResult.error("该交易序列下暂未上传交易公告!");
            }
            return AjaxResult.success(viewNotice);
        }catch (Exception e) {
            e.printStackTrace();
            return AjaxResult.error("交易公告文件预览失败!");
        }
    }

    /**
     * 获取市场建设情况-图片、文件列表信息
     * @return
     */
    @GetMapping("/getMarketBuildFiles")
    @ResponseBody
    public AjaxResult getMarketBuildFiles() {
        try {
            return AjaxResult.success(bilateralConsultDataSync.getMarketBuildFiles());
        }catch (Exception e) {
            e.printStackTrace();
            return AjaxResult.error("获取市场建设情况-图片、文件列表信息失败!");
        }
    }
}
