package com.alonginfo.project.gansu.controller.Heguigk;

import com.alonginfo.framework.web.domain.AjaxResult;
import com.alonginfo.project.gansu.domain.BsHggkGzzd;
import com.alonginfo.project.gansu.domain.BsHggkGzzk;
import com.alonginfo.project.gansu.domain.BsHggkLybh;
import com.alonginfo.project.gansu.mapper.BsHggkGzzdMapper;
import com.alonginfo.project.gansu.mapper.BsHggkGzzkMapper;
import com.alonginfo.project.gansu.mapper.BsHggkLybhMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.stream.Collectors;

@Slf4j
@RestController
@RequestMapping("/heguigk")
public class HggkController {

    @Autowired
    private BsHggkGzzdMapper bsHggkGzzdMapper;

    @Autowired
    private BsHggkGzzkMapper bsHggkGzzkMapper;

    @Autowired
    private BsHggkLybhMapper bsHggkLybhMapper;

    /**
     * 当年规章制度建设情况
     */
    @PostMapping("/gzzd")
    public AjaxResult selGzzd() {
        List<BsHggkGzzd> bsHggkGzzds = bsHggkGzzdMapper.selAll();

        List<String> x1;
        List<String> y1;
        List<String> y2;

        x1 = bsHggkGzzds.stream().map(BsHggkGzzd::getDataX).collect(Collectors.toList());
        y1 = bsHggkGzzds.stream().map(BsHggkGzzd::getDataY1).collect(Collectors.toList());
        y2 = bsHggkGzzds.stream().map(BsHggkGzzd::getDataY2).collect(Collectors.toList());

        HashMap<String, List<String>> map = new HashMap<>();
        map.put("xAxis", x1);
        map.put("yAxis1", y1);
        map.put("yAxis2", y2);
        log.warn("selGzzd() map: {}", map);

        return AjaxResult.success(map);
    }

    /**
     * 当年信用工作开展成效
     */
    @PostMapping("/gzzk")
    public AjaxResult selGzzk() {
        List<BsHggkGzzk> bsHggkGzzks = bsHggkGzzkMapper.selAll();

        List<String> x1;
        List<String> y1;

        x1 = bsHggkGzzks.stream().map(BsHggkGzzk::getDataX).collect(Collectors.toList());
        y1 = bsHggkGzzks.stream().map(BsHggkGzzk::getDataY).collect(Collectors.toList());

        HashMap<String, List<String>> map = new HashMap<>();
        map.put("xAxis", x1);
        map.put("yAxis", y1);
        log.warn("selGzzk() map: {}", map);

        return AjaxResult.success(map);
    }

    /**
     * 当年履约保函工作成效
     */
    @PostMapping("/lybh")
    public AjaxResult selLybh() {
        List<BsHggkLybh> bsHggkLybhs = bsHggkLybhMapper.selAll();

        List<String> x1;
        List<String> y1;

        x1 = bsHggkLybhs.stream().map(BsHggkLybh::getDataX).collect(Collectors.toList());
        y1 = bsHggkLybhs.stream().map(BsHggkLybh::getDataY).collect(Collectors.toList());

        HashMap<String, List<String>> map = new HashMap<>();
        map.put("xAxis", x1);
        map.put("yAxis", y1);
        log.warn("selLybh() map: {}", map);

        return AjaxResult.success(map);
    }
}
