package com.alonginfo.project.gansu.controller.bilateralconsult;

import com.alonginfo.framework.web.domain.AjaxResult;
import com.alonginfo.project.gansu.service.bilateralconsult.BilateralConsultService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author: HaoXs
 * @Date: 2023/2/2 17:58
 * @Description:  双边协商controller
 */
@Api(tags = "双边协商交易实况")
@RestController
@RequestMapping("/bilateralConsult")
public class BilateralConsultController {

    @Autowired
    private BilateralConsultService bilateralConsultService;

    /**
     * 获取双边协商页面实时数据
     * @param seqId
     * @return
     */
    @ApiOperation(value = "获取双边协商交易实况页面数据")
    @ApiImplicitParams({@ApiImplicitParam(name = "seqId", value = "双边协商交易序列id; PXBGS20230104A0002-回演交易; PXBGS20230105A0001-实时多日交易; PXBGS20230110A0004-实时非多日交易", required = true, paramType = "query")})
    @PostMapping("/getData")
    public AjaxResult getBilateralConsult(String seqId) {
        try {
            return AjaxResult.success(bilateralConsultService.getBilateralConsult(seqId));
        }catch (Exception e) {
            e.printStackTrace();
            return AjaxResult.error("-获取双边协商数据失败!");
        }
    }
}
