package com.alonginfo.project.gansu.controller.dayaddthree;

import com.alonginfo.framework.web.domain.AjaxResult;
import com.alonginfo.project.gansu.service.dayaddthree.DayAddThreeService;
import com.alonginfo.project.gansu.service.dayaddthree.DayAddThreeSyncGet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author: HaoXs
 * @Date: 2023/2/3 15:36
 * @Description: D+3交易controller
 */
@RestController
@RequestMapping("/dayAddThree")
public class DayAddThreeController {

    @Autowired
    private DayAddThreeService dayAddThreeService;

    @Autowired
    private DayAddThreeSyncGet dayAddThreeSyncGet;

    /**
     * 获取D+3实时交易-交易序列数据
     * @return
     */
    @GetMapping("/getDayAddThreeSeqId")
    public AjaxResult getDayAddThreeSeqId() {
        try {
            return AjaxResult.success(dayAddThreeService.getDayAddTreeTradeSeq().get());
        }catch (Exception e) {
            e.printStackTrace();
            return AjaxResult.error("获取D+3交易-交易序列数据失败!");
        }
    }

    /**
     * 获取D+3实时交易页面数据
     * @param seqId
     * @return
     */
    @PostMapping("/getDayAddThree")
    public AjaxResult getDayAddThree(String seqId) {
        try {
            return AjaxResult.success(dayAddThreeSyncGet.dayAddThreeDataReturn(seqId));
        }catch (Exception e) {
            e.printStackTrace();
            return AjaxResult.error("获取D+3交易-页面数据失败!");
        }
    }
}
