package com.alonginfo.project.gansu.controller.focuslisting;

import com.alonginfo.framework.web.domain.AjaxResult;
import com.alonginfo.project.gansu.service.focuslisting.FocusBiddingListingDealCommonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author: HaoXs
 * @Date: 2023/2/3 15:36
 * @Description:   集中竞价、挂牌交易controller
 */
@RestController
@RequestMapping("/focusListing")
public class FocusListingController {

    @Autowired
    private FocusBiddingListingDealCommonService focusBiddingListingDealCommonService;

    /**
     * 集中竞价页面数据获取
     * @return
     */
    @RequestMapping("/getFocus")
    public AjaxResult getFocus(String seqId) {
        try {
            return AjaxResult.success(focusBiddingListingDealCommonService.getFocusBidding("1", seqId));
        }catch (Exception e) {
            e.printStackTrace();
            return AjaxResult.error("获取集中竞价页面数据错误!");
        }
    }

    /**
     * 挂牌交易页面数据获取
     * @param seqId
     * @return
     */
    @RequestMapping("/getListing")
    public AjaxResult getListing(String seqId) {
        try {
            return AjaxResult.success(focusBiddingListingDealCommonService.getFocusBidding("2", seqId));
        }catch (Exception e) {
            e.printStackTrace();
            return AjaxResult.error("获取挂牌交易页面数据错误!");
        }
    }
}
