package com.alonginfo.project.gansu.controller.green;

import com.alonginfo.framework.web.domain.AjaxResult;
import com.alonginfo.project.gansu.domain.GreenSyndromeTradeByYearDTO;
import com.alonginfo.project.gansu.domain.GreenTradeInfoDTO;
import com.alonginfo.project.gansu.service.green.IGreenTradeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author: HaoXs
 * @Date: 2023/6/19 16:34
 * @Description:  绿证绿电交易情况
 */
@Api(value = "绿证绿电交易情况", tags = {"绿证绿电交易情况"})
@RestController
@RequestMapping("/green")
@Slf4j
public class GreenTradeController {

    @Autowired
    private IGreenTradeService iGreenTradeService;

    @ApiOperation(value = "(导入数据)绿证绿电交易电量、均价", response = GreenTradeInfoDTO.class)
    @PostMapping("/getGreenTradeInfo")
    public AjaxResult getGreenTradeInfo() {
        try {
            return AjaxResult.success(iGreenTradeService.getGreenTradeInfo());
        }catch (Exception e) {
            log.error("error: 获取绿证绿电交易电量、均价数据失败!", e);
            return AjaxResult.error("获取绿证绿电交易电量、均价数据失败!");
        }
    }

    @ApiOperation(value = "(导入数据)历年绿证市场交易情况", response = GreenSyndromeTradeByYearDTO.class)
    @PostMapping("/greenSyndromeTradeByYear")
    public AjaxResult greenSyndromeTradeByYear() {
        try {
            return AjaxResult.success(iGreenTradeService.greenSyndromeTradeByYear());
        }catch (Exception e) {
            log.error("error: 获取历年绿证市场交易情况数据失败!", e);
            return AjaxResult.error("获取历年绿证市场交易情况数据失败!");
        }
    }
}
