package com.alonginfo.project.gansu.controller.marketbuild;

import com.alonginfo.framework.web.domain.AjaxResult;
import com.alonginfo.project.gansu.domain.DirectDealDTO;
import com.alonginfo.project.gansu.domain.EveryTypeSubjectDTO;
import com.alonginfo.project.gansu.service.marketbuild.IMarketBuildService;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author: HaoXs
 * @Date: 2023/2/8 16:25
 * @Description: 市场建设情况controller
 */
@Api(value = "市场建设情况", tags = {"市场建设情况"})
@RestController
@RequestMapping("/marketBuild")
public class MarketBuildController {

    @Autowired
    private IMarketBuildService iMarketBuildService;

    //@ApiOperation("市场主体注册发展趋势")
//    @ApiResponses({
//            @ApiResponse(code = 200, message = "请求成功!", response = RegisterTrendVo.class)
//    })
//    @GetMapping("/getRegisterTrend")
//    public AjaxResult getRegisterTrend() {
//        try {
//            return AjaxResult.success(iMarketBuildService.getRegisterTrend());
//        }catch (Exception e) {
//            e.printStackTrace();
//            return AjaxResult.error("获取市场建设情况-市场主体注册发展趋势数据失败!");
//        }
//    }

    //@ApiOperation("各类型发电企业数量变化情况")
//    @ApiResponses({
//            @ApiResponse(code = 200, message = "请求成功!", response = EnterpriseChangesVo.class)
//    })
//    @GetMapping("/getEnterpriseChanges")
//    public AjaxResult getEnterpriseChanges() {
//        try {
//            return AjaxResult.success(iMarketBuildService.getEnterpriseChanges());
//        }catch (Exception e){
//            e.printStackTrace();
//            return AjaxResult.error("获取市场建设情况-各类型发电企业数量变化情况数据失败!");
//        }
//    }

    //@ApiOperation("市场主体参与市场情况")
//    @ApiResponses({
//            @ApiResponse(code = 200, message = "请求成功!", response = RegisterTrendVo.class)
//    })
//    @GetMapping("/getSubjectJoin")
//    public AjaxResult getSubjectJoin() {
//        try {
//            return AjaxResult.success(iMarketBuildService.getSubjectJoin());
//        }catch (Exception e) {
//            e.printStackTrace();
//            return AjaxResult.error("获取市场建设情况-市场主体参与市场情况数据失败!");
//        }
//    }

    //@ApiOperation("历年交易组织规模发展趋势")
//    @ApiResponses({
//            @ApiResponse(code = 200, message = "请求成功!", response = DealOrganizeVo.class)
//    })
//    @GetMapping("/getDealOrganize")
//    public AjaxResult getDealOrganize() {
//        try {
//            return AjaxResult.success(iMarketBuildService.getDealOrganize());
//        }catch (Exception e) {
//            e.printStackTrace();
//            return AjaxResult.error("获取市场建设情况-历年交易组织规模发展趋势");
//        }
//    }

    //@ApiOperation("当年现货市场交易情况")
//    @ApiResponses({
//            @ApiResponse(code = 200, message = "请求成功!", response = RegisterTrendVo.class)
//    })
//    @GetMapping("/getStockMarket")
//    public AjaxResult getStockMarketDeal() {
//        try{
//            return AjaxResult.success(iMarketBuildService.getStockMarketDeal());
//        }catch (Exception e) {
//            e.printStackTrace();
//            return AjaxResult.error("获取市场建设情况-当年现货市场交易情况数据失败!");
//        }
//    }

    //@ApiOperation("当年绿电市场交易情况")
//    @ApiResponses({
//            @ApiResponse(code = 200, message = "请求成功!", response = GreenElectricDealVo.class)
//    })
//    @GetMapping("/greenElectricDeal")
//    public AjaxResult getGreenElectricDeal() {
//        try {
//            return AjaxResult.success(iMarketBuildService.getGreenElectricDeal());
//        }catch (Exception e) {
//            e.printStackTrace();
//            return AjaxResult.error("获取市场建设情况-当年绿电市场交易情况");
//        }
//    }

    /**
     * 交易类别/组织方式及当年成交电量
     * @param type 0-交易类别  1-组织方式
     * @return
     */
    //@ApiOperation("交易类别/组织方式及当年成交电量")
//    @ApiImplicitParam(name = "type", value = "0-交易类别及当年成交电量  1-组织方式及当年成交电量", required = true, dataType = "String", paramType = "query")
//    @ApiResponses({
//            @ApiResponse(code = 200, message = "请求成功!")
//    })
//    @GetMapping("/transactionPower")
//    public AjaxResult getTransactionPower(@NotNull String type) {
//        try {
//            if (!"0".equals(type) && !"1".equals(type)) {
//                return AjaxResult.error("type参数请输入0或1");
//            }
//            return AjaxResult.success(iMarketBuildService.getTransactionPower(type));
//        }catch (Exception e) {
//            e.printStackTrace();
//            return AjaxResult.error("获取市场建设情况-交易类别/组织方式及当年成交电量数据失败!");
//        }
//    }

    /**
     * 年度电力直接交易规模
     * @return
     */
    @ApiOperation(value = "(同步数据)年度电力直接交易规模", response = DirectDealDTO.class)
    @PostMapping("/getDirectDeal")
    public AjaxResult getDirectDeal() {
        return AjaxResult.success(iMarketBuildService.getDirectDeal());
    }

    /**
     * 各类市场主体数量
     * @return
     */
    @ApiOperation(value = "(同步数据)各类市场主体数量", response = EveryTypeSubjectDTO.class)
    @PostMapping("/getEveryTypeSubject")
    public AjaxResult getEveryTypeSubject() {
        return AjaxResult.success(iMarketBuildService.getEveryTypeSubject());
    }
}

