package com.alonginfo.project.gansu.controller.tradecenter;

import com.alonginfo.framework.web.domain.AjaxResult;
import com.alonginfo.project.gansu.domain.LegalPersonDTO;
import com.alonginfo.project.gansu.domain.ShareHoldingDTO;
import com.alonginfo.project.gansu.domain.StaffTeamDTO;
import com.alonginfo.project.gansu.service.tradecenter.ITradingCenterService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author: HaoXs
 * @Date: 2023/6/8 16:09
 * @Description:  甘肃电力交易中心页面
 */
@Api(value = "甘肃电力交易中心", tags = {"甘肃电力交易中心"})
@RestController
@RequestMapping("/tradeCenter")
public class TradingCenterController {

    @Autowired
    private ITradingCenterService ITradingCenterService;

    /**
     * (导入数据)法人治理
     * @return
     */
    @ApiOperation(value = "(导入数据)法人治理", response = LegalPersonDTO.class)
    @PostMapping("/legal")
    public AjaxResult getLegalPerson() {
        return AjaxResult.success(ITradingCenterService.getLegalPerson());
    }

    /**
     * (导入数据)内设机构及员工队伍
     * @return
     */
    @ApiOperation(value = "(导入数据)内设机构及员工队伍", response = StaffTeamDTO.class)
    @PostMapping("/staffTeam")
    public AjaxResult getStaffTeam() {
        return AjaxResult.success(ITradingCenterService.getStaffTeam());
    }

    /**
     * (导入数据)公司股权结构
     * @return
     */
    @ApiOperation(value = "(导入数据)公司股权结构", response = ShareHoldingDTO.class)
    @PostMapping("/shareholding")
    public AjaxResult getShareholdingRatio() {
        return AjaxResult.success(ITradingCenterService.getShareHolding());
    }
}
