package com.alonginfo.project.gansu.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.poi.ss.formula.functions.T;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @author: HaoXs
 * @Date: 2023/2/3 09:53
 * @Description:   交易量价趋势 返回结果
 */
@Data
@ApiModel("交易量价趋势")
public class DealTrends {

    @ApiModelProperty("x轴数据")
    private List<String> xAxisData;

    private List<BigDecimal> countEnergy;

    private T peakAvg;

    private T flatAvg;

    private T valleyAvg;

    private T flat;

    private T valley;

    private T peak;
}
