package com.alonginfo.project.gansu.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author: HaoXs
 * @Date: 2023/6/21 11:00
 * @Description:  (导入数据)发电装机情况与利用小时数
 */
@ApiModel
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class InstallAndHoursDTO {

    @ApiModelProperty("装机容量 [总装机容量，火，水，风，光]")
    private List<String> installedCapacity;

    @ApiModelProperty("装机容量同比 [总同比，火，水，风，光]")
    private List<String> installedCapacityComparedToSame;

    @ApiModelProperty("利用小时 [总利用小时，火，水，风，光]")
    private List<String> usingHour;

    @ApiModelProperty("利用小时同比 [总同比，火，水，风，光]")
    private List<String> usingHourComparedToSame;
}
