package com.alonginfo.project.gansu.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

/**
 * @author: HaoXs
 * @Date: 2023/6/21 09:37
 * @Description:  市场概览-当年市场化电量累计执行情况DTO
 */
@ApiModel
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MarketCountExecuteDTO {

    @ApiModelProperty("外送电量")
    private Map<String, String> powerToBeDeliveredToOutside;

    @ApiModelProperty("外购电量")
    private Map<String, String> purchasedElectricity;

    @ApiModelProperty("省内直接交易")
    private Map<String, String> inProvinceTheOtc;

    @ApiModelProperty("发电权交易")
    private Map<String, String> powerGenerationRightTrad;

    @ApiModelProperty("现货交易")
    private Map<String, String> spotTrad;
}
