package com.alonginfo.project.gansu.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author: HaoXs
 * @Date: 2023/6/21 10:19
 * @Description: (导入数据)当年交易量趋势
 */
@ApiModel
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TradeVolumeCurrentDTO {

    @ApiModelProperty("省内电量")
    private List<String> electricityInProvince;

    @ApiModelProperty("外送电量")
    private List<String> powerToBeDeliveredToOutside;

    @ApiModelProperty("外购电量")
    private List<String> purchasedElectricity;

    @ApiModelProperty("省内均价")
    private List<String> inProvinceTheAverage;

    @ApiModelProperty("外送均价")
    private List<String> averagePriceToBeDeliveredToOutside;

    @ApiModelProperty("外购均价")
    private List<String> outsourcingAverage;
}
