package com.alonginfo.project.gansu.mapper;

import java.util.List;
import java.util.Map;

/**
 * @author: HaoXs
 * @Date: 2023/6/16 15:37
 * @Description:  清洁能源消纳
 */
public interface ClearEnergyAbsorptionMapper {

    /**
     * 当年清洁能源消纳趋势
     * @return
     */
    List<Map<String, String>> queryAbsorptionTrendByNowYear();

    /**
     * 历年清洁能源消纳情况
     * @return
     */
    List<Map<String, String>> queryClearRatioByCalendarYear();

    /**
     * 清洁能源消纳分析
     * @return
     */
    List<Map<String, String>> queryClearAbsorptionAnalysis();

    List<Map<String, String>> queryClearAbsorptionTrend();

    /**
     * 地图上方概览
     * @return
     */
    Map<String, String> queryMapTopContent();
}
