package com.alonginfo.project.gansu.mapper;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author: HaoXs
 * @Date: 2023/5/17 16:30
 * @Description: 发电权交易情况 数据同步 mapper
 */
public interface GenerationRightDataSyncMapper {

    /**
     * 发电权交易组织情况
     * @param dealOrganizeResMap
     */
    void insertDealOrganize(@Param("data") Map<String, Object> dealOrganizeResMap);

    /**
     * 发电权交易市场主体参与情况
     * @param subjectJoinResMap
     */
    void insertSubjectJoin(@Param("data") Map<String, String> subjectJoinResMap);

    /**
     * 当年买入卖出电量企业排名 清空数据
     */
    void delBuySaleOrder();

    /**
     * 当年买入卖出电量企业排名
     * @param insertList
     */
    void insertBuySaleOrder(@Param("data") List<Map<String, String>> insertList);

    /**
     * 发电权交易与结算电量-历年数据 清空数据
     */
    void delTradeSettlementYear();

    /**
     * 发电权交易与结算电量-历年数据
     * @param insertParamList
     */
    void insertTradeSettlementYear(@Param("data") List<Map<String, String>> insertParamList);

    /**
     * 发电权交易与结算电量-当年各月数据  清空数据
     */
    void delTradeSettlementYearMonth();

    /**
     * 发电权交易与结算电量-当年各月数据
     * @param insertList
     */
    void insertTradeSettlementYearMonth(@Param("data") List<Map<String, String>> insertList);
}
