package com.alonginfo.project.gansu.mapper;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author: HaoXs
 * @Date: 2023/5/19 16:55
 * @Description: 发电权交易情况Mapper
 */
public interface GenerationRightMapper {

    /**
     * 当年发电权交易组织情况
     * @return
     */
    Map<String, String> getDealOrganize();

    /**
     * 当年发电权交易市场主体参与情况
     * @return
     */
    Map<String, String> getSubjectJoin();

    /**
     * 买入、卖出电量企业排名
     * @param type
     * @return
     */
    List<Map<String, String>> getSaleBuyOrder(@Param("type") String type);

    /**
     * 历年交易电量与结算电量
     * @return
     */
    List<Map<String, String>> getPowerByYear();

    /**
     * 当年分月交易电量与结算电量
     * @return
     */
    List<Map<String, String>> getPowerByYearMonth();
}
