package com.alonginfo.project.gansu.mapper;

import com.alonginfo.project.gansu.domain.TextBoxVO;
import com.alonginfo.project.gansu.domain.TransformerInfoVO;

import java.util.List;
import java.util.Map;

/**
 * @author: HaoXs
 * @Date: 2023/6/13 10:29
 * @Description:  甘肃网架图
 */
public interface GridMapper {

    /**
     * 左下角文本框数据
     * @return
     */
    TextBoxVO getTextBoxData();

    /**
     * 变电站信息
     * @return
     */
    List<TransformerInfoVO> queryTransformerInfo();

    /**
     * 各线路输送电量分析
     * @return
     */
    List<Map<String, String>> queryLineTransport();

    /**
     * 各线路整体容量情况
     * @return
     */
    List<Map<String, String>> queryLineCapacity();
}
