package com.alonginfo.project.gansu.mapper;

import com.alonginfo.project.gansu.domain.EnterprisePo;
import com.alonginfo.project.gansu.domain.SubjectRatioPo;

import java.util.LinkedList;
import java.util.List;
import java.util.Map;

/**
 * @author: HaoXs
 * @Date: 2023/2/7 15:10
 * @Description: 市场概况Mapper
 */
public interface MarketSurveyMapper {

    /**
     * 当前市场主体情况-市场主体类型、数量、占比
     * @return
     */
    SubjectRatioPo getSubjectInfo();

    /**
     * 当前市场主体情况-发电企业类型、数量、占比
     * @return
     */
    EnterprisePo getEnterpriseInfo();

    /**
     * (导入数据)用电
     * @return
     */
    List<String> queryUseInfo();

    /**
     * (导入数据)发电
     */
    List<String> queryGenerationInfo();

    /**
     * (导入数据)发电情况-各类型电量累计发用电
     * @return
     */
    List<Map<String, String>> queryCountPowerByType();

    /**
     * (导入数据)发电情况-当年用电趋势
     * @return
     */
    List<Map<String, String>> queryUseTrendCurrentYear();

    /**
     * (导入数据)发电情况-当年市场化电量累计执行情况
     * @return
     */
    List<Map<String, String>> queryMarketCountExecute();

    /**
     * (导入数据)当年交易量趋势
     * @return
     */
    List<Map<String, String>> queryTradeVolumeTrendCurrent();

    Map<String, String> queryInstallAndHours();
}
