package com.alonginfo.project.gansu.mapper;

import com.alonginfo.project.gansu.domain.PriceTrend;

import java.util.List;
import java.util.Map;

/**
 * 	交易量价走势分析
 * @author Administrator
 *
 */
public interface PriceTrendDao {
	
	/**
	 * 交易量价走势分析数据入库 == 正式数据
	 * @param ids
	 */
	void pushPriceTrend(List<PriceTrend> ids);

	/**
	 * 删除旧交易量价走势数据 == 正式数据
	 */
	void delPriceTrend();
	
	/**
	 * 通过交易序列id获取交易量价走势数据 == 正式数据
	 * @param seqId
	 * @return
	 */
	List<Map<String, String>> getTrendBySeqId(String seqId);
	
	/**
	 * 交易量价走势分析数据入库 == 测试数据
	 * @param ids
	 */
	void pushTestPriceTrend(List<PriceTrend> ids);
	
	/**
	 * 删除旧交易量价走势数据 == 测试数据
	 */
	void delTestPriceTrend();

	/**
	 * 通过交易序列id获取交易量价走势数据 == 测试数据
	 * @param seqId
	 * @return
	 */
	List<Map<String, String>> getTestTrendBySeqId(String seqId);
}
