package com.alonginfo.project.gansu.mapper;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author: HaoXs
 * @Date: 2023/5/12 10:47
 * @Description:  省内交易Mapper
 */
public interface ProvinceInnerDataSyncMapper {

    /**
     * 交易组织情况 清空数据
     */
    void delDealOrganize();

    /**
     * 交易组织情况 入库
     * @param insertParamList
     */
    void insertDealOrganize(@Param("dataList") List<Map<String, String>> insertParamList);

    /**
     * 市场主体参与情况 清空数据
     */
    void delSubjectJoin();

    /**
     * 市场主体参与情况
     * @param insertParam
     */
    void insertSubjectJoin(@Param("data") List<Map<String, String>> insertParam);

    /**
     * 各类清洁能源成交电量 清空数据
     */
    void delCleanEnergy();

    /**
     * 各类清洁能源成交电量
     */
    void insertCleanEnergy(@Param("dataList") List<Map<String, String>> insertParam);

    /**
     * 当年交易电量电价趋势 清空数据
     */
    void delPowerPriceTrend();

    /**
     * 当年交易电量电价趋势
     * @param insertList
     */
    void insertPowerPriceTrend(@Param("dataList") List<Map<String, String>> insertList);

    /**
     * 交易概览 清空数据
     */
    void delDealSurvey(String year);

    /**
     * 交易概览
     * @param insertParam
     */
    void insertDealSurvey(@Param("data") List<Map<String, Object>> insertParam);


}
