package com.alonginfo.project.gansu.mapper;

import com.alonginfo.project.gansu.domain.PiCleanEnergyVo;
import com.alonginfo.project.gansu.domain.PiDealOrganizeVo;
import com.alonginfo.project.gansu.domain.PiPowerPriceTrendVo;
import com.alonginfo.project.gansu.domain.PiSubjectJoinVo;
import com.alonginfo.project.gansu.domain.MapTextVO;

import java.util.List;
import java.util.Map;

/**
 * @author: HaoXs
 * @Date: 2023/5/18 16:39
 * @Description:
 */
public interface ProvinceInnerMapper {

    /**
     * （同步数据）当年交易组织情况
     * 获取当年数据
     * @return
     */
    PiDealOrganizeVo getDealOrganize();

    /**
     * （同步数据）当年市场主体参与情况
     * @return
     */
    PiSubjectJoinVo getSubjectJoinInfo();

    /**
     * （同步数据）各类清洁能源成交电量
     * @return
     */
    List<PiCleanEnergyVo> getCleanEnergy();

    /**
     * （同步数据）交易概览-获取市场准入数
     * @param year 年份
     * @return
     */
    String getMarketAccessByYear(String year);

    /**
     * （同步数据）交易概览-交易组织次数及同比、成交电量及同比
     * @return
     */
    List<Map<String, String>> getSurveyInfo();

    /**
     * （同步数据）当年交易量价走势
     * @return
     */
    List<PiPowerPriceTrendVo> getPowerPriceTrend();

    /**
     * (导入数据)查询地图弹框数据
     * @return
     */
    List<MapTextVO> queryMapText();

    /**
     * (导入数据)历年降低购电成本与交易均价
     * @return
     */
    List<Map<String, String>> queryCostAndAvgByYear();

    /**
     *(导入数据)
     * @return
     */
    List<Map<String, String>> queryTradeSizeByYear();
}
