package com.alonginfo.project.gansu.mapper;

import com.alonginfo.project.gansu.domain.MapInfoVO;
import com.alonginfo.project.gansu.domain.PrefectureInstallDTO;

import java.util.List;
import java.util.Map;

/**
 * @author: HaoXs
 * @Date: 2023/6/12 10:41
 * @Description: 资源概览
 */
public interface ResourcesMapper {

    /**
     * 获取地图分布数据
     * @return
     */
    List<MapInfoVO> getMapInfoData();

    /**
     * 获取地图右上角图表数据
     * @return
     */
    List<Map<String, String>> getMapTopCanvas();

    /**
     * 各类资源装机容量、发电量对比
     * @return
     */
    List<Map<String, String>> getInstallAndPower();

    /**
     * 资源开发情况
     * @return
     */
    List<Map<String, String>> getResourcesDevelop();

    /**
     * 各地市资源装机情况
     * @return
     */
    List<PrefectureInstallDTO> getPrefectureInstall();
}
