package com.alonginfo.project.gansu.mapper;

import com.alonginfo.project.gansu.domain.TradeNotice;
import com.alonginfo.project.gansu.domain.TradeSeq;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author Haoxs
 */
public interface UploadNoticeMapper {

    /**
     * 查询交易序列列表
     * @param searchParam
     * @return
     */
    List<Map<String, String>> getSeqList(@Param("searchParam") Map<String, String> searchParam);

    /**
     * 交易公告上传
     * @param uuid
     * @param seqId
     * @param seqName
     * @param originalFilename
     */
    void upload(@Param("uuid") String uuid,
                @Param("seqId") String seqId,
                @Param("seqName") String seqName,
                @Param("fileName") String originalFilename,
                @Param("encodeName") String encodeName,
                @Param("visitPath") String visitPath);

    /**
     * 检查该交易序列是否已经上传交易公告
     * @param seqId
     * @return
     */
    Map<String, Object> checkUpload(@Param("seqId") String seqId);

    /**
     * 删除mysql交易公告记录
     * @param seqId
     * @return
     */
    int delNoticeNotes(@Param("seqId") String seqId);

    /**
     * 市场建设情况-公告上传
     * @param uuid
     * @param fileTitle
     * @param imageName
     * @param imageEncodeName
     * @param imageVisitPath
     * @param noticeFileName
     * @param fileEncodeName
     * @param fileVisitPath
     */
    void uploadMarketBuild(@Param("uuid") String uuid,
                           @Param("fileTitle") String fileTitle,
                           @Param("imageName") String imageName,
                           @Param("imageEncodeName") String imageEncodeName,
                           @Param("imageVisitPath") String imageVisitPath,
                           @Param("noticeFileName")String noticeFileName,
                           @Param("fileEncodeName")String fileEncodeName,
                           @Param("fileVisitPath")String fileVisitPath);

    /**
     * 市场建设情况-获取列表
     * @param searchParam
     * @return
     */
    List<Map<String, String>> getMarketList(@Param("searchParam") Map<String, String> searchParam);

    /**
     * 市场建设情况-删除交易公告
     * @param fileTitle 文件标题
     * @return
     */
    int delMarketImageAndFile(@Param("fileTitle") String fileTitle);

    /**
     * 检查是否已上传同标题文件
     * @param fileTitle
     */
    Map<String, Object> checkMarketBuildHave(@Param("fileTitle") String fileTitle);
}
