package com.alonginfo.project.gansu.service;


import com.alonginfo.project.gansu.domain.SgccAddress;

import java.util.List;

public interface SgccAddressService {
	
	/**
	 * 获取电力交易平台url
	 * @param envKey 环境标识
	 * @return
	 */
	String getSgccAddress(String envKey);

	/**
	 * 新增电力交易平台地址
	 * @param sgccName
	 * @param sgccAddress
	 */
	void addAddress(SgccAddress sgccAddress);
	
	/**
	 * 查询所有数据
	 * @param dataSource
	 * @param offset
	 * @param limit
	 * @return
	 */
	public List<SgccAddress> findAll(SgccAddress sgccAddress,int offset,int limit);
	
	/**
	 * 查询数据条数
	 * @param dataSource
	 * @return
	 */
	int sgccAddressTableCount(SgccAddress sgccAddress);

	/**
	 * 修改电力交易平台地址
	 * @param sgccAddress
	 */
	void updSgccAddress(SgccAddress sgccAddress);

	/**
	 * 删除电力交易平台地址
	 * @param sgccAddress
	 */
	void delSgccAddress(List<String> ids);
}
