package com.alonginfo.project.gansu.service.dayaddthree;

import java.util.List;
import java.util.Map;
import java.util.concurrent.CompletableFuture;

/**
 * D+3滚动交易Service
 * @author Administrator
 *
 */
public interface DayAddThreeService {
	
	/**
	 * 获取D+3滚动交易  -- 交易序列  
	 * @throws Exception 
	 */
	CompletableFuture<Map<String, Object>> getDayAddTreeTradeSeq();
	
	/**
	 * 获取D+3滚动交易  -- 交易公告
	 * @return
	 */
	CompletableFuture<Map<String, Object>> getDayAddThreeTradeNotice();
	
	/**
	 * 获取D+3滚动交易  -- 交易情况
	 * @return
	 * @throws Exception
	 */
	CompletableFuture<Map<String, Object>> getDayAddThreeTradeStatus();
	
	/**
	 * 获取D+3滚动交易 -- 申报明细数据
	 * @return
	 * @throws Exception 
	 */
	CompletableFuture<List<List<String>>> getDayAddThreeReportDetails(String seqId);
	
	/**
	 * 获取D+3滚动交易 -- 各时段成交
	 * @return
	 * @throws Exception 
	 */
	CompletableFuture<Map<String, Object>> getDayAddThreeEveryTimeSlotDeal();
	
	/**
	 * 获取D+3滚动交易 -- 实时成交数据
	 * @return
	 * @throws Exception 
	 */
	CompletableFuture<List<List<String>>> getDayAddThreeRealTimeDeal();
	
	/**
	 * 获取D+3滚动交易 -- 各日成交情况
	 * @return
	 * @throws Exception 
	 */
	CompletableFuture<Map<String, Object>> getDayAddThreeEveryDayDeal();
	
	/**
	 * 获取申报、成交总笔数
	 * @return
	 */
	CompletableFuture<Map<String, Object>> getReportDealNum();

	/**
	 * 交易情况-发电、用户申报电量、成交电量
	 */
	CompletableFuture<Map<String, Object>> getYieldUserForStatus();

	/**
	 * 申报明细-买卖方申报电量、申报均价
	 */
	CompletableFuture<Map<String, Object>> getEnergyPriceForDetails();
}
