package com.alonginfo.project.gansu.service.forward;

import java.io.IOException;
import java.util.Map;

/**
 * @author: HaoXs
 * @Date: 2023/7/7 16:51
 * @Description:
 */
public interface ITradeMarketInfoService {
    /**
     * (接口调用)当年市场化电量累计执行情况
     * @return
     */
    Map<String, Object> selectTradeEnergyRatio(String yearCode) throws IOException;

    /**
     * (接口调用)顶部发电数据
     * @param yearCode
     * @return
     */
    Map<String, Object> selectGeneratePowerDataByYear(String yearCode) throws IOException;

    /**
     * (接口调用)当年交易量价走势
     * @param yearCode
     * @return
     */
    Map<String, Object> selectTradePowerAvgPriceResult(String yearCode) throws IOException;

    /**
     * (接口调用)发电装机情况与利用小时数
     * @return
     */
    Map<String, Object> selectGeneratorCapacity(String yearCode) throws IOException;

    /**
     * (接口调用)各类型资源装机容量与发电量
     * @param yearCode
     * @return
     */
    Map<String, Object> selectResourceCapacity(String yearCode) throws IOException;

    /**
     * (接口调用)当年发电情况统计
     * @param yearCode
     * @return
     */
    Map<String, Object> selectResourceDevDataList(String yearCode) throws IOException;

    /**
     * 查询当年电力用户交易量价情况
     * @return
     */
    Map<String, Object> selectUserSumEnergyAvgPrice();

    /**
     * 当年发电企业交易量价情况数据
     * @return
     */
    Map<String, Object> selectEnterpriseSumEnergyAvgPrice();
}
