package com.alonginfo.project.gansu.service.grid;

import com.alonginfo.project.gansu.domain.LineCapacityDTO;
import com.alonginfo.project.gansu.domain.LineTransportDTO;
import com.alonginfo.project.gansu.domain.TextBoxVO;
import com.alonginfo.project.gansu.domain.TransformerInfoVO;

import java.util.List;

/**
 * @author: HaoXs
 * @Date: 2023/6/13 10:19
 * @Description:  甘肃网架图 业务层
 */
public interface IGridService {

    /**
     * 获取左下角文本框数据
     * @return
     */
    TextBoxVO getTextBoxData();

    /**
     * 变电站信息
     * @return
     */
    List<TransformerInfoVO> getTransformerInfo();

    /**
     * 各线路输送电量分析
     * @return
     */
    LineTransportDTO getLineTransport();

    /**
     * 各线路整体容量情况
     * @return
     */
    LineCapacityDTO getLineCapacity();
}
