package com.alonginfo.project.gansu.service.marketsurvey;

import com.alonginfo.project.gansu.domain.*;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * @author: HaoXs
 * @Date: 2023/2/7 15:00
 * @Description:  市场概况service
 */
public interface IMarketSurveyService {

    /**
     * (同步数据)当前市场主体情况
     * @return
     */
    SubjectInfoDTO getMarketSubjectInfo();

    /**
     * (导入数据)发电、用电
     * @return
     */
    List<String> getUseGeneration(String flag);

    /**
     * (导入数据)发电情况-各类型电量累计发用电
     * @return
     */
    CountPowerByTypeDTO getCountPowerByType();

    /**
     * (导入数据)发电情况-当年用电趋势
     * @return
     */
    UseTrendCurrentYearDTO getUseTrendCurrentYear();

    /**
     * (导入数据)当年交易量趋势
     * @return
     */
    TradeVolumeCurrentDTO getTradeVolumeTrendCurrent();

    /**
     * (导入数据)当年市场化电量累计执行情况
     * @return
     */
    MarketCountExecuteDTO getMarketCountExecute();

    /**
     * (导入数据)发电装机情况与利用小时数
     * @return
     */
    InstallAndHoursDTO getInstallAndHours();
}
