package com.alonginfo.project.gansu.service.newEnergy;

import com.alonginfo.project.gansu.domain.*;
import com.alonginfo.project.gansu.domain.JoinEnergyTrendDTO;

/**
 * @author: HaoXs
 * @Date: 2023/5/17 14:36
 * @Description: 新能源概览 业务层接口
 */
public interface INewEnergySurveyService {

   /**
    * (同步数据)新能源参与交易电量趋势
    * @return
    */
   JoinEnergyTrendDTO getJoinEnergyTrend();

   /**
    * (导入数据)新能源装机结构
    *
    * @return
    */
   InstallStructureDTO getInstallStructure();

   /**
    * (导入数据)新能源装机情况
    *
    * @return
    */
   InstallSituationDTO getInstallSituation();

   /**
    * (导入数据)新能源发电趋势
    *
    * @return
    */
   ElectricTrendDTO getElectricTrend();

   /**
    * (导入数据)新能源发电与消纳情况
    *
    * @return
    */
   ElectricAbsorptionDTO getElectricAbsorption();

   /**
    * (导入数据)新能源参与交易情况
    * @return
    */
   JoinTradeDTO getJoinTrade();

   /**
    * (导入数据)地图上方概览
    * @return
    */
   MapTopOverviewDTO getMapTopOverview();
}
