package com.alonginfo.project.gansu.service.provinceinner;

import com.alonginfo.project.gansu.domain.*;

import java.util.List;

/**
 * @author: HaoXs
 * @Date: 2023/5/18 16:13
 * @Description: 省内交易情况 业务接口
 */
public interface IProvinceInnerService {

    PiDealOrganizeVo getDealOrganize();

    PiSubjectJoinVo getSubjectJoinInfo();

    List<PiCleanEnergyVo> getCleanEnergy();

    PiDealSurveyDTO getDealSurvey();

    PiPowerPriceTrendDTO getPowerPriceTrend();

    /**
     * （导入数据）地图弹框数据
     * @return
     */
    MapTextDTO getMapText();

    /**
     * （导入数据）历年降低购电成本与交易均价
     * @return
     */
    CostAndAvgDTO getCostAndAvgByYear();

    /**
     * （导入数据）历年交易规模趋势
     * @return
     */
    TradeSizeDTO getTradeSizeByYear();
}
