package com.alonginfo.project.gansu.service.uploadnotice;

import com.alonginfo.project.gansu.domain.MarketBuildUploadVo;
import com.alonginfo.project.gansu.domain.TradeSeq;
import com.alonginfo.project.gansu.domain.UploadNoticeVo;

import java.util.List;
import java.util.Map;

/**
 * 交易公告上传
 */
public interface IUploadNoticeService {

    /**
     * 查询交易序列列表
     * @param searchParam
     * @return
     */
    Map<String, Object> getSeqList(Map<String, String> searchParam);

    /**
     * 上传交易公告
     * @param uploadNoticeVo
     */
    void uploadNotice(UploadNoticeVo uploadNoticeVo) throws Exception;

    /**
     * 删除交易公告
     * @param seqId
     */
    void delNotice(String seqId, String filePath);

    /**
     * 市场建设情况-上传封面图片、公告
     * @param marketBuildUpload
     */
    void marketBuildUpload(MarketBuildUploadVo marketBuildUpload) throws Exception;

    /**
     * 获取市场建设情况公告列表
     * @param searchParam
     * @return
     */
    Map<String, Object> getMarketList(Map<String, String> searchParam);

    /**
     * 市场建设情况-删除交易公告
     * @return
     */
    void delMarketImageAndFile(String fileTitle, String fileUploadPath, String imageUploadPath);
}
