package com.alonginfo.project.gansu.serviceimpl;

import com.alonginfo.project.gansu.domain.SgccAddress;
import com.alonginfo.project.gansu.mapper.SgccAddressDao;
import com.alonginfo.project.gansu.service.SgccAddressService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  甘肃电力交易平台url编辑页面
 * @author Administrator
 *
 */
@Service
public class SgccAddressServiceImpl implements SgccAddressService {

	@Autowired
	private SgccAddressDao sgccAddressDao;

	/**
	 * 获取电力交易平台url
	 * @return
	 */
	@Override
	public String getSgccAddress(String envKey) {
		List<SgccAddress> findAll = findAll(new SgccAddress(), 0, 100);
		//String sgccAddress = findAll.stream().filter(sgcc -> "甘肃电力交易平台".equals(sgcc.getSgccName())).findAny().map(m -> m.getSgccAddress()).orElse("");
		String sgccAddressStr = "";
		for (SgccAddress sgccAddress : findAll) {
			if (envKey.equals(sgccAddress.getEnv())) {
				sgccAddressStr = sgccAddress.getSgccAddress();
			}
		}
		return sgccAddressStr;
	}

	/**
	 * 甘肃电力交易平台添加地址
	 */
	@Override
	public void addAddress(SgccAddress sgccAddress) {
		sgccAddressDao.insertSgccAddress(sgccAddress);
	}

	/**
	 * 查询甘肃电力交易平台表所有数据
	 * @param sgccAddress
	 * @param offset
	 * @param limit
	 * @return
	 */
	@Override
	public List<SgccAddress> findAll(SgccAddress sgccAddress, int offset, int limit) {
//		return sgccAddressDao.findAll(sgccAddress, offset, limit);
		return null;
	}

	/**
	 * 查询甘肃电力交易平台数据条数
	 * @param sgccAddress
	 * @return
	 */
	@Override
	public int sgccAddressTableCount(SgccAddress sgccAddress) {
		return sgccAddressDao.sgccAddressTableCount(sgccAddress);
	}

	/**
	 * 修改电力平台地址
	 */
	@Override
	public void updSgccAddress(SgccAddress sgccAddress) {
		sgccAddressDao.updSgccAddress(sgccAddress);
	}

	/**
	 * 删除电力交易平台地址
	 */
	@Override
	public void delSgccAddress(List<String> ids) {
		sgccAddressDao.delSgccAddress(ids);
	}
}
