package com.alonginfo.project.gansu.serviceimpl.marketbuild;

import com.alonginfo.project.gansu.domain.DirectDealDTO;
import com.alonginfo.project.gansu.domain.DirectDealPo;
import com.alonginfo.project.gansu.domain.EveryTypeSubjectDTO;
import com.alonginfo.project.gansu.domain.EveryTypeSubjectPo;
import com.alonginfo.project.gansu.mapper.MarketBuildMapper;
import com.alonginfo.project.gansu.service.marketbuild.IMarketBuildService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.*;

/**
 * @author: HaoXs
 * @Date: 2023/2/8 16:30
 * @Description: 市场建设情况
 */
@Service
public class MarketBuildServiceImpl implements IMarketBuildService {

    private static final List<String> MONTH_YEAR = Arrays.asList("1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月");

    @Autowired
    private MarketBuildMapper marketBuildMapper;

//    /**
//     * 市场主体注册发展趋势
//     * @return
//     */
//    @Override
//    public RegisterTrendVo getRegisterTrend() {
//        List<Map<String, Object>> registerTrends = marketBuildMapper.getRegisterTrend();
//        if (CollectionUtils.isEmpty(registerTrends)) {
//            return new RegisterTrendVo();
//        }
//        RegisterTrendVo registerTrendVo = new RegisterTrendVo();
//        //x轴
//        List<String> xAxis = registerTrendVo.getXAxis();
//        //y轴
//        List<Map<String, Object>> seriesData = registerTrendVo.getSeriesData();
//
//        //年份数据集
//        List<String> dataYear = registerTrends.stream().map(i -> i.get("dataYear").toString()).collect(Collectors.toList());
//        //电力用户数据集
//        List<String> electricUser = registerTrends.stream().map(i -> i.get("electricUser").toString()).collect(Collectors.toList());
//        //售电公司数据集
//        List<String> saleCompany = registerTrends.stream().map(i -> i.get("saleCompany").toString()).collect(Collectors.toList());
//        //发电企业数据集
//        List<String> yieldEnterprise = registerTrends.stream().map(i -> i.get("yieldEnterprise").toString()).collect(Collectors.toList());
//        seriesData.add(new HashMap<String, Object>() {{
//            put("data", electricUser);
//            put("name", "电力用户");
//        }});
//        seriesData.add(new HashMap<String, Object>() {{
//            put("data", saleCompany);
//            put("name", "售电公司");
//        }});
//        seriesData.add(new HashMap<String, Object>() {{
//            put("data", yieldEnterprise);
//            put("name", "发电企业");
//        }});
//        xAxis.addAll(dataYear);
//        return registerTrendVo;
//    }

    /**
     * 各类型发电企业数量变化情况
     * @return
     */
//    @Override
//    public EnterpriseChangesVo getEnterpriseChanges() {
//        List<Map<String, Object>> enterpriseChanges = marketBuildMapper.getEnterpriseChanges();
//        if (CollectionUtils.isEmpty(enterpriseChanges)) {
//            return new EnterpriseChangesVo();
//        }
//
//        EnterpriseChangesVo enterpriseChangesVo = new EnterpriseChangesVo();
//        //企业数量集合
//        List<Map<String, Object>> seriesData = enterpriseChangesVo.getSeriesData();
//        //年份集合
//        List<String> xAxis = enterpriseChangesVo.getXAxis();
//
//        List<String> dataYear = enterpriseChanges.stream().map(i -> i.get("dataYear").toString()).collect(Collectors.toList());
//        List<String> fireEnterprise = enterpriseChanges.stream().map(i -> i.get("fireEnterprise").toString()).collect(Collectors.toList());
//        List<String> waterEnterprise = enterpriseChanges.stream().map(i -> i.get("waterEnterprise").toString()).collect(Collectors.toList());
//        List<String> windEnterprise = enterpriseChanges.stream().map(i -> i.get("windEnterprise").toString()).collect(Collectors.toList());
//        List<String> lightEnterprise = enterpriseChanges.stream().map(i -> i.get("lightEnterprise").toString()).collect(Collectors.toList());
//        seriesData.add(new HashMap<String, Object>() {{
//            put("data", fireEnterprise);
//            put("name", "火电企业");
//        }});
//        seriesData.add(new HashMap<String, Object>() {{
//            put("data", waterEnterprise);
//            put("name", "水电企业");
//        }});
//        seriesData.add(new HashMap<String, Object>() {{
//            put("data", windEnterprise);
//            put("name", "风电企业");
//        }});
//        seriesData.add(new HashMap<String, Object>() {{
//            put("data", lightEnterprise);
//            put("name", "光伏企业");
//        }});
//        xAxis.addAll(dataYear);
//        return enterpriseChangesVo;
//    }

    /**
     * 市场主体参与市场情况
     * @return
     */
//    @Override
//    public RegisterTrendVo getSubjectJoin() {
//        List<Map<String, Object>> subjectJoin = marketBuildMapper.getSubjectJoin();
//        if (CollectionUtils.isEmpty(subjectJoin)) {
//            return new RegisterTrendVo();
//        }
//
//        RegisterTrendVo registerTrendVo = new RegisterTrendVo();
//        List<Map<String, Object>> seriesData = registerTrendVo.getSeriesData();
//        List<String> xAxis = registerTrendVo.getXAxis();
//
//        List<String> dataYear = subjectJoin.stream().map(i -> i.get("dataYear").toString()).collect(Collectors.toList());
//        List<String> yieldEnterprise = subjectJoin.stream().map(i -> i.get("yieldEnterprise").toString()).collect(Collectors.toList());
//        List<String> saleEnterprise = subjectJoin.stream().map(i -> i.get("saleEnterprise").toString()).collect(Collectors.toList());
//        List<String> electricUser = subjectJoin.stream().map(i -> i.get("electricUser").toString()).collect(Collectors.toList());
//        List<String> subjectCoverage = subjectJoin.stream().map(i -> i.get("subjectCoverage").toString()).collect(Collectors.toList());
//        seriesData.add(new HashMap<String, Object>() {{
//            put("data", yieldEnterprise);
//            put("name", "发电企业");
//        }});
//        seriesData.add(new HashMap<String, Object>() {{
//            put("data", saleEnterprise);
//            put("name", "售电企业");
//        }});
//        seriesData.add(new HashMap<String, Object>() {{
//            put("data", electricUser);
//            put("name", "电力用户");
//        }});
//        seriesData.add(new HashMap<String, Object>() {{
//            put("data", subjectCoverage);
//            put("name", "市场主体覆盖率");
//        }});
//        xAxis.addAll(dataYear);
//        return registerTrendVo;
//    }

    /**
     * 历年交易组织规模发展趋势
     * @return
     */
//    @Override
//    public DealOrganizeVo getDealOrganize() {
//        List<Map<String, Object>> dealOrganize = marketBuildMapper.getDealOrganize();
//        if (CollectionUtils.isEmpty(dealOrganize)) {
//            return new DealOrganizeVo();
//        }
//        DealOrganizeVo dealOrganizeVo = new DealOrganizeVo();
//        List<List<String>> seriesData = dealOrganizeVo.getCurveData();
//        List<String> xAxis = dealOrganizeVo.getXAxis();
//
//        List<String> dataYear = dealOrganize.stream().map(i -> i.get("dataYear").toString()).collect(Collectors.toList());
//        List<String> organizeNum = dealOrganize.stream().map(i -> i.get("organizeNum").toString()).collect(Collectors.toList());
//        List<String> dealValue = dealOrganize.stream().map(i -> i.get("dealValue").toString()).collect(Collectors.toList());
//        seriesData.add(organizeNum);
//        seriesData.add(dealValue);
//        xAxis.addAll(dataYear);
//        return dealOrganizeVo;
//    }

    /**
     * 当年现货市场交易情况
     * @return
     */
//    @Override
//    public RegisterTrendVo getStockMarketDeal() {
//        List<Map<String, Object>> stockMarketDeal = marketBuildMapper.getStockMarketDeal();
//        if (CollectionUtils.isEmpty(stockMarketDeal)) {
//            return new RegisterTrendVo();
//        }
//
//        List<Map<String, Object>> series = new ArrayList<>();
//        for (Map<String, Object> stock : stockMarketDeal) {
//            String name = "";
//            List<String> data = new LinkedList<>();
//            for (Map.Entry entry : stock.entrySet()) {
//                String key = entry.getKey().toString();
//                String value = entry.getValue().toString();
//                if ("dataType".equals(key)) {
//                    name = value;
//                    continue;
//                }
//                data.add(value);
//            }
//            Map<String, Object> item = new HashMap<>();
//            item.put("data", data);
//            item.put("name", name);
//            series.add(item);
//        }
//
//        RegisterTrendVo registerTrendVo = new RegisterTrendVo();
//        registerTrendVo.setSeriesData(series);
//        registerTrendVo.setXAxis(MONTH_YEAR);
//        return registerTrendVo;
//    }

    /**
     * 当年绿电市场交易情况
     * @return
     */
//    @Override
//    public GreenElectricDealVo getGreenElectricDeal() {
//        List<Map<String, Object>> greenElectricDeals = marketBuildMapper.getGreenElectricDeal();
//        if (CollectionUtils.isEmpty(greenElectricDeals)) {
//            return new GreenElectricDealVo();
//        }
//        //省间外送
//        Map<String, Object> outerMap = greenElectricDeals.stream().filter(i -> "省间外送".equals(String.valueOf(i.get("dataType"))))
//                                                    .findFirst().orElse(new HashMap<>());
//        //省内交易
//        Map<String, Object> innerMap = greenElectricDeals.stream().filter(i -> "省内交易".equals(String.valueOf(i.get("dataType"))))
//                .findFirst().orElse(new HashMap<>());
//
//        GreenElectricDealVo greenElectricDeal = new GreenElectricDealVo();
//        List<String> outerRes = greenElectricDeal.getOuter();
//        List<String> innerRes = greenElectricDeal.getInner();
//        //Map转List
//        outerMap.entrySet().stream().forEach(m -> {
//            String key = m.getKey();
//            String value = m.getValue().toString();
//            if (!"dataType".equals(key)) {
//                outerRes.add(value);
//            }
//        });
//        innerMap.entrySet().stream().forEach(m -> {
//            String key = m.getKey();
//            String value = m.getValue().toString();
//            if (!"dataType".equals(key)) {
//                innerRes.add(value);
//            }
//        });
//
//        return greenElectricDeal;
//    }

    /**
     * 交易类别/组织方式及当年成交电量
     * @param type 0-交易类别 1-组织方式
     * @return
     */
//    @Override
//    public TransactionPowerVo getTransactionPower(String type) {
//        List<String> types = "0".equals(type) ? Arrays.asList("省内直接交易", "自备电厂替代", "跨区跨省外送")
//                : Arrays.asList("双边协商交易", "集中竞价交易", "挂牌交易", "D+3日滚动交易");
//        List<Map<String, String>> transactionPower = marketBuildMapper.getTransactionPower(types);
//
//        if (CollectionUtils.isEmpty(transactionPower)) {
//            return new TransactionPowerVo();
//        }
//        //电量和
//        BigDecimal dealElectricSum = transactionPower.stream().map(i -> new BigDecimal(i.get("dealElectric"))).reduce(BigDecimal::add).orElse(BigDecimal.ZERO);
//
//        TransactionPowerVo transactionPowerVo = new TransactionPowerVo();
//        List<Map<String, Object>> tableData = transactionPowerVo.getTableData();
//        List<Map<String, Object>> graphData = transactionPowerVo.getGraphData();
//        for (Map<String, String> item : transactionPower) {
//            String dataType = item.get("dataType");
//            BigDecimal dealElectric = new BigDecimal(item.get("dealElectric"));
//            BigDecimal ratio = dealElectric.divide(dealElectricSum, 1, BigDecimal.ROUND_HALF_UP);
//            tableData.add(new HashMap<String, Object>(){{
//                put("name", dataType);
//                put("dealElectric", dealElectric);
//                put("ratio", ratio);
//            }});
//            graphData.add(new HashMap<String, Object>(){{
//                put("name", dataType);
//                put("ratio", ratio);
//            }});
//        }
//        return transactionPowerVo;
//    }

    /**
     * 年度电力直接交易情况
     * @return
     */
    @Override
    public DirectDealDTO getDirectDeal() {
        List<DirectDealPo> directDeal = marketBuildMapper.getDirectDeal();

        List<String> xAxisData = new LinkedList<>();
        List<String> seriesData = new LinkedList<>();
        if (!CollectionUtils.isEmpty(directDeal)) {
            directDeal.forEach(directDealPo -> {
                xAxisData.add(directDealPo.getTradeYear());
                seriesData.add(directDealPo.getSumVendeeEnergy());
            });
        }
        DirectDealDTO directDealDTO = new DirectDealDTO();
        directDealDTO.setXAxisData(xAxisData);
        directDealDTO.setSeriesData(seriesData);
        return directDealDTO;
    }

    /**
     * 各类市场主体数量
     * @return
     */
    @Override
    public EveryTypeSubjectDTO getEveryTypeSubject() {
        List<EveryTypeSubjectPo> everyTypeSubject = marketBuildMapper.getEveryTypeSubject();

        List<String> xAxis = new ArrayList<>();
        List<Map<String, Object>> seriesData = new ArrayList<>();
        if (!CollectionUtils.isEmpty(everyTypeSubject)) {
            List<String> saleList = new LinkedList<>();
            List<String> powerList = new LinkedList<>();
            List<String> userList = new LinkedList<>();
            everyTypeSubject.forEach(everyTypeSubjectPo -> {
                xAxis.add(everyTypeSubjectPo.getYear());
                saleList.add(everyTypeSubjectPo.getSale());
                powerList.add(everyTypeSubjectPo.getPower());
                userList.add(everyTypeSubjectPo.getUser());
            });
            seriesData.add(new HashMap<String, Object>(){{
                put("name", "电力用户");
                put("data", userList);
            }});
            seriesData.add(new HashMap<String, Object>(){{
                put("name", "发电企业");
                put("data", powerList);
            }});
            seriesData.add(new HashMap<String, Object>(){{
                put("name", "售电公司");
                put("data", saleList);
            }});
        }
        EveryTypeSubjectDTO everyTypeSubjectDTO = new EveryTypeSubjectDTO();
        everyTypeSubjectDTO.setXAxisData(xAxis);
        everyTypeSubjectDTO.setSeriesData(seriesData);
        return everyTypeSubjectDTO;
    }
}
