package com.alonginfo.project.gansu.serviceimpl.tradecenter;

import com.alonginfo.common.utils.StringUtils;
import com.alonginfo.project.gansu.domain.LegalPersonDTO;
import com.alonginfo.project.gansu.domain.ShareHoldingDTO;
import com.alonginfo.project.gansu.domain.StaffTeamDTO;
import com.alonginfo.project.gansu.mapper.TradingCenterMapper;
import com.alonginfo.project.gansu.service.tradecenter.ITradingCenterService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * @author: HaoXs
 * @Date: 2023/6/8 16:16
 * @Description: 甘肃电力交易中心 业务层实现
 */
@Service
public class TradingCenterServiceImpl implements ITradingCenterService {

    @Autowired
    private TradingCenterMapper tradingCenterMapper;

    /**
     * 法人治理
     * @return
     */
    @Override
    public LegalPersonDTO getLegalPerson() {
        LegalPersonDTO legalPerson = tradingCenterMapper.getLegalPerson();
        LegalPersonDTO result = new LegalPersonDTO();
        if (StringUtils.isNotNull(legalPerson)) {
            BeanUtils.copyProperties(legalPerson, result);
        }
        return result;
    }

    /**
     * 内设机构及员工队伍
     * @return
     */
    @Override
    public StaffTeamDTO getStaffTeam() {
        StaffTeamDTO staffTeam = tradingCenterMapper.getStaffTeam();
        StaffTeamDTO result = new StaffTeamDTO();
        if (StringUtils.isNotNull(staffTeam)) {
            BeanUtils.copyProperties(staffTeam, result);
        }
        return result;
    }

    /**
     * 公司股权结构
     * @return
     */
    @Override
    public List<ShareHoldingDTO> getShareHolding() {
        List<ShareHoldingDTO> shareHolding = tradingCenterMapper.getShareHolding();
        if (CollectionUtils.isEmpty(shareHolding)) {
            shareHolding = new ArrayList<>();
        }
        return shareHolding;
    }
}
