package com.alonginfo.project.gansu.sync;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * 甘肃二期-双边协商  动态数据获取
 * @since 2022-03-14 11:49
 * @author HaoXs
 *
 */
public interface BilateralConsultDataSync {
	
	/**
	 * 	交互电力交易平台 == 获取最新交易序列信息
	 * @throws Exception 
	 */
	void getTradeSeqInfoList();
	
	/**
	 * 	交互电力交易平台 == 具体的交易公告详细信息
	 * @throws Exception 
	 */
	void getTradeNotice();
	
	/**
	 * 	交互电力交易平台 == 获取交易序列下购售方双边申报明细数据
	 * @throws Exception 
	 */
	List<Map<String, Object>> getDeclareDetailList(String seqId);
	
	/**
	 * 	交互电力交易平台 == 获取售方申报信息和购方确认信息 - 交易情况
	 * @throws Exception 
	 */
	void getTradeDetailList();
	
	/**
	 * 	交互电力交易平台 == 获取售方申报的电量信息统计 - 发电类型统计
	 * @throws Exception 
	 */
	void getTradeSaleEnergyList();
	
	/**
	 * 	交互电力交易平台 == 获取交易量价走势 -实时数据
	 * @throws Exception 
	 */
	void getPriceTrend();
	
	/**
	 *  交互电力交易平台 == 获取交易量价走势 - 回演数据
	 * @throws Exception
	 */
	void getPriceTrendReplay();
	
	/**
	 * 交互电力交易平台 == 获取多日交易 - 实时状态 交易量价走势数据
	 */
	void getRealTimeManyDay();
	
	/**
	 * 	获取全部的交易序列
	 * @return
	 */
	Map<String, Object> selectTradeSeqs(String message);

	/**
	 * 获取电力交易平台Token
	 * @return
	 */
	String getToken();

	/**
	 * 预览交易公告pdf
	 * @return
	 */
    Map<String, Object> getViewNotice(String tradeSeqId) throws IOException;

	/**
	 * 获取市场建设情况-图片、文件列表信息
	 * @return
	 */
    List<Map<String, Object>> getMarketBuildFiles() throws IOException;
}
