package com.alonginfo.project.gansu.task.generation;

import com.alonginfo.project.gansu.sync.GenerationRightDataSync;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author: HaoXs
 * @Date: 2023/5/17 17:58
 * @Description: 发电权交易情况场景
 */
@Component
@Slf4j
public class GenerationRightTask {

    @Autowired
    private GenerationRightDataSync generationRightDataSync;

    /**
     * 发电权交易组织情况
     */
    public void getDealOrganize() {
        try {
            generationRightDataSync.dealOrganize();
        }catch (Exception e) {
            log.error("-发电权交易情况-发电权交易组织情况数据同步失败!", e);
        }
    }

    /**
     * 发电权交易市场主体参与情况
     */
    public void getSubjectJoin() {
        try {
            generationRightDataSync.subjectJoin();
        }catch (Exception e) {
            log.error("-发电权交易情况-发电权交易市场主体参与情况数据同步失败!", e);
        }
    }

    /**
     * 买入、卖出电量企业排名
     */
    public void getBuySaleEnterpriseOrder() {
        try {
            generationRightDataSync.buySaleEnterpriseOrder();
        }catch (Exception e) {
            log.error("-发电权交易情况-当年买入、卖出电量企业排名数据同步失败!", e);
        }
    }

    /**
     * 发电权交易与结算电量 历年数据
     */
    public void getTradeSettlementByYear() {
        try {
            generationRightDataSync.tradeSettlementByYear();
        }catch (Exception e) {
            log.error("-发电权交易情况-历年发电权交易与结算电量数据同步失败!", e);
        }
    }

    /**
     * 发电权交易与结算电量 当年各月数据
     */
    public void getTradeSettlementByCurrentYearMonth() {
        try {
            generationRightDataSync.tradeSettlementByCurrentYearMonth();
        }catch (Exception e) {
            log.error("-发电权交易情况-当年分月发电权交易与结算电量数据同步失败!", e);
        }
    }
}
