package com.alonginfo.project.gansu.task.marketbuild;

import com.alonginfo.project.gansu.sync.MarketBuildDataSync;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author: HaoXs
 * @Date: 2023/5/15 17:31
 * @Description:  市场建设 定时任务
 */
@Slf4j
@Component
public class MarketBuildTask {

    @Autowired
    private MarketBuildDataSync marketBuildDataSync;

    /**
     * 年度电力直接交易规模
     */
    public void getPowerDirectDeal(){
        try {
            marketBuildDataSync.powerDirectDeal();
        }catch (Exception e) {
            log.info("-error: 市场建设-年度电力直接交易规模数据同步失败!", e);
        }
    }

    /**
     * 各类市场主体数量
     */
    public void getEveryTypeSubjectNum() {
        try {
            marketBuildDataSync.everyTypeSubjectNum();
        }catch (Exception e) {
            log.info("-error: 市场建设-各类市场主体数量数据同步失败!", e);
        }
    }
}
