package com.alonginfo.project.gansu.task.marketsurvey;

import com.alonginfo.project.gansu.sync.MarketSurveyDataSync;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author: HaoXs
 * @Date: 2023/5/15 16:03
 * @Description:  市场概览 定时任务
 */
@Slf4j
@Component
public class MarketSurveyTask {

    @Autowired
    private MarketSurveyDataSync marketSurveyDataSync;

    /**
     * 市场概览-市场主体类型、数量、占比
     */
    public void getMarketSubjectData() {
        try {
            marketSurveyDataSync.getMarketSubjectData();
        }catch (Exception e) {
            log.error("-error: 市场概览-市场主体类型、数量、占比数据同步失败!", e);
        }
    }

    public void getYieldEnterpriseData() {
        try {
            marketSurveyDataSync.getYieldEnterpriseData();
        }catch (Exception e) {
            log.error("-error: 市场概览-发电企业类型、数量、占比数据同步失败!", e);
        }
    }
}
