package com.alonginfo.project.gansu.task.mltermcontract;

import com.alonginfo.project.gansu.sync.MediumLongTermContractDataSync;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author: HaoXs
 * @Date: 2023/5/15 17:49
 * @Description: 中长期合同签订情况
 */
@Slf4j
@Component
public class MediumLongTermContractTask {

    @Autowired
    private MediumLongTermContractDataSync mediumLongTermContractDataSync;

    /**
     * 省内交易品种及交易电量
     */
    public void getTradeType() {
        try {
            mediumLongTermContractDataSync.tradeTypeAndPowerByProvinceInner();
        }catch (Exception e) {
            log.error("-error: 中长期合同签订情况-省内交易品种及交易电量数据同步失败!", e);
        }
    }

    /**
     * 省内电源类型及交易电量
     */
    public void getPowerSupply() {
        try {
            mediumLongTermContractDataSync.powerSupplyByProvinceInner();
        }catch (Exception e){
            log.error("-error: 中长期合同签订情况-省内电源类型及交易电量数据同步失败!", e);
        }
    }
}
