package com.alonginfo.project.gansu.task.newenergy;

import com.alonginfo.project.gansu.sync.NewEnergySurveyDataSync;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author: HaoXs
 * @Date: 2023/5/17 17:52
 * @Description: 新能源概况场景
 */
@Component
@Slf4j
public class NewEnergySurveyTask {

    @Autowired
    private NewEnergySurveyDataSync newEnergySurveyDataSync;

    /**
     * 新能源参与交易电量趋势
     */
    public void getJoinDealElectricTrend() {
        try {
          newEnergySurveyDataSync.joinDealElectricTrend();
        } catch (Exception e) {
            log.error("-error: 新能源概况场景-新能源参与交易电量趋势数据同步失败!", e);
        }
    }
}
