package com.alonginfo.project.gansu.task.provinceInner;

import com.alonginfo.project.gansu.sync.ProvinceInnerDataSync;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author: HaoXs
 * @Date: 2023/5/15 17:37
 * @Description: 省内交易情况 定时任务
 */
@Slf4j
@Component
public class ProvinceInnerTask {

    @Autowired
    private ProvinceInnerDataSync provinceInnerDataSync;

    /**
     * 交易组织情况接口
     */
    public void dealOrganize() {
        try {
            provinceInnerDataSync.dealOrganize();
        }catch (Exception e) {
            log.error("-error: 省内交易情况-交易组织情况数据同步失败!", e);
        }
    }

    /**
     * 当年市场主体参与情况
     */
    public void provinceInnerSubjectJoin() {
        try {
            provinceInnerDataSync.provinceInnerSubjectJoin();
        }catch (Exception e) {
            log.error("-error: 省内交易情况-当年市场主体参与情况数据同步失败!", e);
        }
    }

    /**
     * 清洁能源成交电量
     */
    public void cleanEnergyDealPower() {
        try {
            provinceInnerDataSync.cleanEnergyDealPower();
        }catch (Exception e) {
            log.error("-error: 省内交易情况-清洁能源成交电量数据同步失败!", e);
        }
    }

    /**
     * 当年交易电量电价趋势
     */
    public void powerPriceTrend() {
        try {
            provinceInnerDataSync.powerPriceTrend();
        }catch (Exception e) {
            log.error("-error: 省内交易情况-当年交易电量电价趋势数据同步失败!", e);
        }
    }

    /**
     * 交易概览
     */
    public void dealSurvey() {
        try {
            provinceInnerDataSync.dealSurveyProvinceInner();
        }catch (Exception e) {
            log.error("-error: 省内交易情况-交易概览数据同步失败!", e);
        }
    }
}
