package com.alonginfo.utils;

import com.alonginfo.framework.web.domain.AjaxResult;
import com.alonginfo.project.business.domain.MxDatabase;

import java.sql.DriverManager;
import java.sql.SQLException;

/**
 * @author Li先生
 */
public class DBUtil {
    /**
     * 测试 数据源是否正确
     * @param mxDatabase
     * @return
     */
    public static AjaxResult TestMxDatabase(MxDatabase mxDatabase){
        String url = mxDatabase.getUrl();
        String username = mxDatabase.getUsername();
        String password = mxDatabase.getPassword();
        String driverClass = mxDatabase.getDriverClass();
        if (!forName(driverClass)){
            return AjaxResult.error("数据库驱动错误");
        }
        if (!testConnection(url,username,password)) {
            return AjaxResult.error("数据库连接或用户名密码错误");
        }
        return AjaxResult.success();
    }

    /**
     * 判断驱动是否正确
     * @param driverClass
     * @return
     */
    private static boolean forName(String driverClass) {
        try {
            Class.forName(driverClass).newInstance();
        } catch (Exception e) {
            return false;
        }
        return true;
    }


    /**
     * 如果程序发生异常，则表明无法连接
     * @return
     * @throws SQLException
     */
    private static boolean testConnection(String url,String username,String password )  {
        try {
            DriverManager.getConnection(url, username, password);// 获取连接对象
            return true;
        } catch (Exception e) {
            return false;
        }
    }



}
